<?php

function all($offset, $Limit)
{
 return "SELECT v.booking_ref,DATE_FORMAT(v.created_on, '%d-%m-%Y %H:%i:%s') AS created_on,v.booking_reg,m.text FROM vahicle_inspection v JOIN vahicle_movment m GROUP BY booking_ref,booking_reg ORDER BY inspection_id DESC LIMIT {$offset},{$Limit}";
}
function search($offset, $Limit, $search)
{
 return "SELECT v.booking_ref,DATE_FORMAT(v.created_on, '%d-%m-%Y %H:%i:%s') AS created_on,v.booking_reg,m.text FROM vahicle_inspection v JOIN vahicle_movment m where CONCAT(v.booking_ref, ' ', v.booking_reg) like '%$search%' GROUP BY booking_ref,booking_reg ORDER BY inspection_id DESC LIMIT {$offset},{$Limit}";
}

function allpagination()
{
 return "SELECT v.booking_ref,DATE_FORMAT(v.created_on, '%d-%m-%Y %H:%i:%s') AS created_on,v.booking_reg,m.text FROM vahicle_inspection v JOIN vahicle_movment m GROUP BY booking_ref,booking_reg";
}

function searchpagination($search)
{
  return "SELECT v.booking_ref,DATE_FORMAT(v.created_on, '%d-%m-%Y %H:%i:%s') AS created_on,v.booking_reg,m.text FROM vahicle_inspection v JOIN vahicle_movment m where CONCAT(v.booking_ref, ' ', v.booking_reg) like '%$search%' GROUP BY booking_ref,booking_reg";
}

?>

<style>

  /* CSS styles for modal and carousel */
  .modal {
    display: none;
    position: fixed;
    z-index: 9999;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.5);
  }

  .modal-content {
    position: relative;
    margin-right:auto;
    margin-left:auto;
    margin-bottom:auto;
    width: 100%;
    max-width: 1200px;

  }

  .close {
    position: absolute;
    top: 10px;
    right: 10px;
      font-size: 20px;
    font-weight: bold;
    cursor: pointer;
    background-color: red;
    padding:20px;


  }
  .carousel-container {
    width: 100%;
    overflow: hidden;
  }

  .carousel {
    display: flex;
    width: fit-content;

  }

  .carousel-slide {
    flex: 0 0 100%;
    transition: transform 0.3s ease-in-out;
  }

  .carousel-slide img {
    width: 100%;
    height: 520px;

  }

  .carousel-button1 {
          padding:15px;
                font-size: 20px;
    font-weight: bold;

      float:left;
      position:relative;
      top:300px;
    margin-top: 20px;
    background:rgb(219, 31, 39);
        z-index: 9999;

  }
    .carousel-button2 {
              font-size: 20px;
    font-weight: bold;
            padding:15px;

              float:right;

      position:relative;
      top:300px;
    margin-top: 20px;
    background:rgb(219, 31, 39);
        z-index: 9999;

  }


    #pagination {
        margin-left: 40%;
        margin-top:1%
    }
    ul.pagination {
        margin: 0px;
        padding: 0px;
        height: 100%;
        overflow: hidden;
        font: 12px 'Tahoma';
        list-style-type: none;
    }

    ul.pagination li.details {
        padding: 7px 10px 7px 10px;
        font-size: 14px;
    }

    ul.pagination li.dot {
        padding: 3px 0;
    }

    ul.pagination li {
        float: left;
        margin: 0px;
        padding: 0px;
        margin-left: 5px;
    }

    ul.pagination li:first-child {
        margin-left: 0px;
    }

    ul.pagination li a {
        color: black;
        display: block;
        text-decoration: none;
        padding: 7px 10px 7px 10px;
    }

    ul.pagination li a img {
        border: none;
    }

    ul.pagination li.details {
        color: #e12929;
    }

    ul.pagination li a {
        border-radius: 3px;
        -moz-border-radius: 3px;
        -webkit-border-radius: 3px;
        padding: 6px 9px 6px 9px;
    }

    ul.pagination li a {
        color: #fff;
        background: #699613;
        background: -moz-linear-gradient(top, #87AB19, #699613);
        background: -webkit-gradient(linear, 0 0, 0 100%, from(#e12929), to(#e12929));
    }

    ul.pagination li a:hover,
    ul.pagination li a.current {
        color: #e12929;
        background: #E7F2C7;
    }
</style>