<?php

session_start();


require('fpdf_1.php');
//require('cellfit.php');

include('connection.php');
//error_reporting(E_ALL);

//ini_set('display_errors', 1);

class PDF extends FPDF
{
    // Load data
    function LoadData($file)
    {
        $lines = file($file);
        $data = array();
        foreach ($lines as $line)
            $data[] = explode(';', trim($line));
        return $data;
    }
    public function Header()
    {
    }
    public function Footer()
    {
        $this->SetY(-15);
        $this->SetFont('helvetica', 'I', 9);
        $this->SetFont('helvetica', '', 9);
        $this->SetY(-10);
        $this->x = -140;
        $this->Cell(0, 15, 'Copyright by  Park Fly Gatwick Ltd', 0, false, 'C', 0, '', 3, false, 'M', 'M');
        $this->SetY(-10);
        $this->x = 140;
        $this->Cell(0, 15, 'Deisgn and developed by: Mobit Solutions', 0, false, 'C', 0, '', 3, false, 'M', 'M');
    }
    function BasicTable()
    {
        $url = "https://apps.heathrowparkandride.co.uk/";
        include 'connection.php';
        $this->Ln();
        $this->Ln();
        $this->Ln();
        $w = array(20, 30, 40, 40, 40, 40, 40, 35, 35, 65, 65, 35, 35, 35, 35, 80, 80, 80);

        $this->Cell($w[1], 12, "Reference #", 1, 0, 'C');
        $this->Cell($w[2], 12, "Car Registration", 1, 0, 'C');
        $this->Cell($w[3], 12, "vehicle condition", 1, 0, 'C');
        $this->Cell($w[4], 12, "Is vehicle clean", 1, 0, 'C');
        $this->Cell($w[5], 12, "Driver Name", 1, 0, 'C');
        $this->Cell($w[6], 12, "Customer Name", 1, 0, 'C');
        $this->Cell($w[7], 12, "Booking Type", 1, 0, 'C');


        $this->Ln();
        $result = mysqli_query($conn, $_SESSION['query']);
        $row = mysqli_fetch_array($result);

        $ref_no = $row['booking_ref_or_reg'];

        $car_registration_no = $row['car_registration_no'];
        $vahicle_condition_text = $row['vahicle_condition_text'];

        $var = $row['is_vahicle_clean'];

        $name = $row['name'];
        $customer_email = $row['customer_email'];

        $customer_name = $row['customer_name'];
        $booking_type = $row['booking_type'];
        $milage_img = $row['milage_img'];
        $milage_desc = $row['milage_desc'];
        $created_on = $row['created_on'];


        $this->SetFont('times', '', 9);

        $this->Cell($w[1], 10, $ref_no, 1);
        $this->Cell($w[2], 10, $car_registration_no, 1, 0, 'C');
        $this->Cell($w[3], 10, $vahicle_condition_text, 1, 0, 'C');
        $this->Cell($w[4], 10, $var, 1, 0, 'C');
        $this->Cell($w[5], 10, $name, 1, 0, 'C');
        $this->Cell($w[6], 10, $customer_name, 1, 0, 'C');

        $this->Cell($w[7], 10, $booking_type, 1, 0, 'C');





        $this->Ln();
        $this->Cell($w[9], 12, "Milage Description", 1, 0, 'C');
        $this->Cell($w[10], 12, "Email", 1, 0, 'C');
        $this->Cell($w[6], 12, "Created Date", 1, 0, 'C');




        $this->Ln();

        $this->Cell($w[9], 10, $milage_desc, 1, 0, 'C');
        $this->Cell($w[10], 10, $customer_email, 1, 0, 'C');
        $this->Cell($w[12], 10, $created_on, 1, 0, 'C');





        $this->Ln();
        $this->Cell($w[17], 12, "Milage image", 1, 0, 'C');
        $this->Cell($w[17], 12, "Scratch Image", 1, 0, 'C');


        $this->Image($image1, 20, 70, 45);


        $this->Image($image, 100, 70, 45);



        $this->Image($imagesig, 180, 70, 45);
        $result1 = mysqli_query($conn, $_SESSION['query1']);
        $this->Ln();
        $this->Cell($w[9], 123, "Inspection Image", 0, 0, 'C');

        $font_size = 9;

        $this->Ln();

        if (isset($_SESSION['img0']) && !empty($_SESSION['img0'])) {
            $inimage = $_SESSION['img0'];
            $images0 = $url . "mobile_api/movement_images/$inimage";
            $this->Image($images0, 5, 140, 40);
        }
        if (isset($_SESSION['img1']) && !empty($_SESSION['img1'])) {
            $inimage1 = $_SESSION['img1'];
            $images01 = $url . "mobile_api/movement_images/$inimage1";
            $this->Image($images01, 52, 140, 40);
        }

        if (isset($_SESSION['img2']) && !empty($_SESSION['img2'])) {
            $inimage2 = $_SESSION['img2'];
            $images02 = $url . "mobile_api/movement_images/$inimage2";
            $this->Image($images02, 100, 140, 40);
        }

        if (isset($_SESSION['img3']) && !empty($_SESSION['img3'])) {
            $inimage3 = $_SESSION['img3'];
            $images03 = $url . "mobile_api/movement_images/$inimage3";
            $this->Image($images03, 150, 140, 40);
        }
        if (isset($_SESSION['img4']) && !empty($_SESSION['img4'])) {
            $inimage4 = $_SESSION['img4'];
            $images04 = $url . "mobile_api/movement_images/$inimage4";
            $this->Image($images04, 200, 140, 40);
        }

        if (isset($_SESSION['img5']) && !empty($_SESSION['img5'])) {
            $inimage5 = $_SESSION['img5'];
            $images05 = $url . "mobile_api/movement_images/$inimage5";
            $this->Image($images05, 250, 140, 40);
        }



        $this->Ln();
    }
    function ImprovedTable($header, $data)
    {
        $w = array(40, 35, 40, 45);
        // Header
        for ($i = 0; $i < count($header); $i++)
            $this->Cell($w[$i], 7, $header[$i], 1, 0, 'C');
        $this->Ln();
        foreach ($data as $row) {
            $this->Cell($w[0], 6, $row[0], 'LR');
            $this->Cell($w[1], 6, $row[1], 'LR');
            $this->Cell($w[2], 6, number_format($row[2]), 'LR', 0, 'R');
            $this->Cell($w[3], 6, number_format($row[3]), 'LR', 0, 'R');
            $this->Ln();
        }
        $this->Cell(array_sum($w), 0, '', 'T');
    }
    function FancyTable($header, $data)
    {
        $this->SetFillColor(255, 0, 0);
        $this->SetTextColor(255);
        $this->SetDrawColor(128, 0, 0);
        $this->SetLineWidth(.3);
        $this->SetFont('', 'B');
        $w = array(40, 35, 40, 45);
        for ($i = 0; $i < count($header); $i++)
            $this->Cell($w[$i], 7, $header[$i], 1, 0, 'C', true);
        $this->Ln();
        $this->SetFillColor(224, 235, 255);
        $this->SetTextColor(0);
        $this->SetFont('');
        $fill = false;
        foreach ($data as $row) {
            $this->Cell($w[0], 6, $row[0], 'LR', 0, 'L', $fill);
            $this->Cell($w[1], 6, $row[1], 'LR', 0, 'L', $fill);
            $this->Cell($w[2], 6, number_format($row[2]), 'LR', 0, 'R', $fill);
            $this->Cell($w[3], 6, number_format($row[3]), 'LR', 0, 'R', $fill);
            $this->Ln();
            $fill = !$fill;
        }
        $this->Cell(array_sum($w), 0, '', 'T');
    }
}
$pdf = new PDF();
$header = array('Country', 'Capital', 'Area (sq km)', 'Pop. (thousands)');
$data = $pdf->LoadData('countries.txt');
$pdf->AddPage();
$pdf->SetFont('times', '', 16);
$pdf->SetXY(260, 20);
$pdf->SetFont('times', '', 9);
//$pdf->Write(5, "(".$_SESSION['rows']." Results)", '', 0, 'L', true, 0, false, false, 0);
$pdf->SetXY(10, 10);
$pdf->SetFont('times', '', 10);
$pdf->BasicTable();

$fileName =  'InspectionReport' . '.pdf';
$pdf->Output($fileName, 'D');
?>

 <?php

// session_start();


// require('fpdf_1.php');
// //require('cellfit.php');

// include('connection.php');
// //error_reporting(E_ALL);

// //ini_set('display_errors', 1);

// class PDF extends FPDF
// {
//     // Load data
//     function LoadData($file)
//     {
//         $lines = file($file);
//         $data = array();
//         foreach ($lines as $line)
//             $data[] = explode(';', trim($line));
//         return $data;
//     }
//     public function Header()
//     {
//     }
//     public function Footer()
//     {
//         $this->SetY(-15);
//         $this->SetFont('helvetica', 'I', 9);
//         $this->SetFont('helvetica', '', 9);
//         $this->SetY(-10);
//         $this->x = -140;
//         $this->Cell(0, 15, 'Copyright by  Park Fly Gatwick Ltd', 0, false, 'C', 0, '', 3, false, 'M', 'M');
//         $this->SetY(-10);
//         $this->x = 140;
//         $this->Cell(0, 15, 'Deisgn and developed by: Mobit Solutions', 0, false, 'C', 0, '', 3, false, 'M', 'M');
//     }
//     function BasicTable()
//     {
//         $url = "https://apps.heathrowparkandride.co.uk/";
//         include 'connection.php';
//         $this->Ln();
//         $this->Ln();
//         $this->Ln();
//         $w = array(20, 30, 40, 40, 40, 40, 40, 35, 35, 65, 65, 35, 35, 35, 35, 80, 80, 80);

//         $this->Cell($w[1], 12, "Reference Or Registration #", 1, 0, 'C');
//         $this->Cell($w[2], 12, "Inspection Id", 1, 0, 'C');
//         $this->Cell($w[3], 12, "Driver Name", 1, 0, 'C');
//         $this->Cell($w[4], 12, "Is cash booking", 1, 0, 'C');
//         $this->Cell($w[5], 12, "Controller Name", 1, 0, 'C');
//         $this->Cell($w[6], 12, "Yard Id", 1, 0, 'C');
//         $this->Cell($w[7], 12, "Created On", 1, 0, 'C');


//         $this->Ln();
//         $result = mysqli_query($conn, $_SESSION['query']);
//         $row = mysqli_fetch_array($result);
//         $ref_or_reg_no = $row['booking_ref_or_reg'];
//         $inspection_id = $row['inspection_id'];
//         $drivername =$_SESSION['drivername'];
//         $iscashbooking = $row['iscashbooking'];
//         $controllername =  $_SESSION['controllername'];
//         $yard_id = $row['yard_id'];
//         $created_on = $row['created_on'];

//   //echo $created_on;
//         $this->SetFont('times', '', 9);

//         $this->Cell($w[1], 10, $ref_or_reg_no, 1);
//         $this->Cell($w[2], 10, $inspection_id, 1, 0, 'C');
//         $this->Cell($w[3], 10, $drivername, 1, 0, 'C');
//         $this->Cell($w[4], 10, $iscashbooking, 1, 0, 'C');
//         $this->Cell($w[5], 10, $controllername, 1, 0, 'C');
//         $this->Cell($w[6], 10, $yard_id, 1, 0, 'C');
//         $this->Cell($w[7], 10, $created_on, 1, 0, 'C');


//       //  $this->Image($image1, 20, 70, 45);


//         $this->Image($image, 100, 70, 45);



//         $this->Image($imagesig, 180, 70, 45);
//         $result1 = mysqli_query($conn, $_SESSION['query1']);
//         $this->Ln();
//         $this->Cell($w[9], 123, "Inspection Image", 0, 0, 'C');

//         $font_size = 9;

//         $this->Ln();

//         if (isset($_SESSION['img0']) && !empty($_SESSION['img0'])) {
//             $inimage = $_SESSION['img0'];
//             $images0 = $url . "mobile_api/movement_images/$inimage";
//             echo $images0;
//             $this->Image($images0, 5, 140, 40);
//         }
//         if (isset($_SESSION['img1']) && !empty($_SESSION['img1'])) {
//             $inimage1 = $_SESSION['img1'];
//             $images01 = $url . "mobile_api/movement_images/$inimage1";
//             $this->Image($images01, 52, 140, 40);
//         }

//         if (isset($_SESSION['img2']) && !empty($_SESSION['img2'])) {
//             $inimage2 = $_SESSION['img2'];
//             $images02 = $url . "mobile_api/movement_images/$inimage2";
//             $this->Image($images02, 100, 140, 40);
//         }

//         if (isset($_SESSION['img3']) && !empty($_SESSION['img3'])) {
//             $inimage3 = $_SESSION['img3'];
//             $images03 = $url . "mobile_api/movement_images/$inimage3";
//             $this->Image($images03, 150, 140, 40);
//         }
//         if (isset($_SESSION['img4']) && !empty($_SESSION['img4'])) {
//             $inimage4 = $_SESSION['img4'];
//             $images04 = $url . "mobile_api/movement_images/$inimage4";
//             $this->Image($images04, 200, 140, 40);
//         }

//         if (isset($_SESSION['img5']) && !empty($_SESSION['img5'])) {
//             $inimage5 = $_SESSION['img5'];
//             $images05 = $url . "mobile_api/movement_images/$inimage5";
//             $this->Image($images05, 250, 140, 40);
//         }



//         $this->Ln();
//     }
//     function ImprovedTable($header, $data)
//     {
//         $w = array(40, 35, 40, 45);
//         // Header
//         for ($i = 0; $i < count($header); $i++)
//             $this->Cell($w[$i], 7, $header[$i], 1, 0, 'C');
//         $this->Ln();
//         foreach ($data as $row) {
//             $this->Cell($w[0], 6, $row[0], 'LR');
//             $this->Cell($w[1], 6, $row[1], 'LR');
//             $this->Cell($w[2], 6, number_format($row[2]), 'LR', 0, 'R');
//             $this->Cell($w[3], 6, number_format($row[3]), 'LR', 0, 'R');
//             $this->Ln();
//         }
//         $this->Cell(array_sum($w), 0, '', 'T');
//     }
//     function FancyTable($header, $data)
//     {
//         $this->SetFillColor(255, 0, 0);
//         $this->SetTextColor(255);
//         $this->SetDrawColor(128, 0, 0);
//         $this->SetLineWidth(.3);
//         $this->SetFont('', 'B');
//         $w = array(40, 35, 40, 45);
//         for ($i = 0; $i < count($header); $i++)
//             $this->Cell($w[$i], 7, $header[$i], 1, 0, 'C', true);
//         $this->Ln();
//         $this->SetFillColor(224, 235, 255);
//         $this->SetTextColor(0);
//         $this->SetFont('');
//         $fill = false;
//         foreach ($data as $row) {
//             $this->Cell($w[0], 6, $row[0], 'LR', 0, 'L', $fill);
//             $this->Cell($w[1], 6, $row[1], 'LR', 0, 'L', $fill);
//             $this->Cell($w[2], 6, number_format($row[2]), 'LR', 0, 'R', $fill);
//             $this->Cell($w[3], 6, number_format($row[3]), 'LR', 0, 'R', $fill);
//             $this->Ln();
//             $fill = !$fill;
//         }
//         $this->Cell(array_sum($w), 0, '', 'T');
//     }
// }
// $pdf = new PDF();
// $header = array('Country', 'Capital', 'Area (sq km)', 'Pop. (thousands)');
// $data = $pdf->LoadData('countries.txt');
// $pdf->AddPage();
// $pdf->SetFont('times', '', 16);
// $pdf->SetXY(260, 20);
// $pdf->SetFont('times', '', 9);
// //$pdf->Write(5, "(".$_SESSION['rows']." Results)", '', 0, 'L', true, 0, false, false, 0);
// $pdf->SetXY(10, 10);
// $pdf->SetFont('times', '', 10);
// $pdf->BasicTable();

// $fileName =  'InspectionReport' . '.pdf';
// $pdf->Output($fileName, 'D');
