<?php
//
// Gzip Compression
//
$do_gzip_compress = FALSE;
$phpver = phpversion();
$useragent = (isset($_SERVER["HTTP_USER_AGENT"]) ) ? $_SERVER["HTTP_USER_AGENT"] : $HTTP_USER_AGENT;
if ($phpver >= '4.0.4pl1' && ( strstr($useragent,'compatible') || strstr($useragent,'Gecko'))) {
	if ( extension_loaded('zlib') ) {
		ob_start('ob_gzhandler');
	}
} else if ( $phpver > '4.0' ) {
	if ( strstr($HTTP_SERVER_VARS['HTTP_ACCEPT_ENCODING'], 'gzip') ) {
		if ( extension_loaded('zlib') ) {
			$do_gzip_compress = TRUE;
			ob_start();
			ob_implicit_flush(0);
			header('Content-Encoding: gzip');
		}
	}
}

//
// Magic Quotes
//
@set_magic_quotes_runtime( 0 );

if (get_magic_quotes_gpc()) {

   function stripslashes_deep($value) {
       $value = (is_array($value)?array_map('stripslashes_deep', $value):stripslashes($value));
       return $value;
   }

   $_REQUEST = array_map('stripslashes_deep', $_REQUEST);
   $_POST = array_map('stripslashes_deep', $_POST);
   $_GET = array_map('stripslashes_deep', $_GET);
   $_COOKIE = array_map('stripslashes_deep', $_COOKIE);
}

//error_reporting(0);

include '../lib/common/database.php';
include '../lib/common/configuration.php';
include '../lib/common/validation.php';
include '../lib/common/resource.php';
include '../lib/common/mail.php';
include '../lib/admin/htmlcontrols.php';
include '../lib/admin/error.php';
include '../lib/admin/admin.php';
include '../lib/common/filemanager.php';
include '../lib/admin/sorter.php';

$admin=new Admin();
?>