<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Timesheet</title>

    <style>
        table, th, td {
            border: 1px solid;
        }

        h3,th,td{
            text-align: center;
        }

        table {
            width: 100%;
            border-collapse: collapse;
            margin-bottom: 20px;
        }

        @media print
        {
            .no-print, .no-print *
            {
                display: none !important;
            }
        }
    </style>
</head>
<body>
<?php
session_start();


$driverID = $_REQUEST['driver_id'];

$fromDate = null;
if($_REQUEST['from_date'] != NULL){
    $fromDate = $_REQUEST['from_date'];
}

$tillDate = null;
if($_REQUEST['till_date'] != NULL){
    $tillDate = $_REQUEST['till_date'];
}
$dateRangeQuery = '';
if($_GET['from_date'] != NULL && $_GET['till_date'] != NULL){
    $dateRangeQuery = " AND t.date >= '".date('Y-m-d',strtotime($fromDate))."' AND t.date <= '".date('Y-m-d',strtotime($tillDate))."'";
}

$conn = mysqli_connect("localhost", "heathro4_staging_heathrowparking", "heathro4_staging_heathrowparking", "heathro4_staging_heathrowparking");
$sql = "SELECT t.id,t.check_in_at,t.check_out_at,d.wage_per_hour,d.name,y.yard_code,TIMESTAMPDIFF(SECOND,t.check_in_at,t.check_out_at ) AS timeTaken  FROM tbldrivertimesheet  t JOIN tbldriver as d ON t.driver_id = d.id JOIN tblyards as y ON y.yard_id = t.yard_id WHERE t.driver_id = '$driverID' $dateRangeQuery";
$result = mysqli_query($conn, $sql) or die("Couldn't execute query:<br>" . mysqli_error($conn) . '<br>' . mysqli_errno($conn));

$sql1 = "SELECT d.name,d.wage_per_hour,t.date , SUM(TIMESTAMPDIFF(SECOND,t.check_in_at,t.check_out_at )) AS timeTaken FROM tbldrivertimesheet as t join tbldriver as d ON d.id = t.driver_id WHERE t.driver_id = $driverID ".$dateRangeQuery;
$result1 = mysqli_query($conn, $sql1) or die("Couldn't execute query:<br>" . mysqli_error($conn) . '<br>' . mysqli_errno($conn));
$fetchArray = mysqli_fetch_array($result1);

?>
 <h3> Timesheet Report </h3>

<a class="no-print" href="javascript:void(0)" onclick="window.print()">Print</a>
<table>
    <tr>
        <th>Driver Name</th>
        <th>Total Hours</th>
        <th>Total Salary</th>
    </tr>
    <tr>
        <td><?= $fetchArray['name'] ?></td>
        <td><?= number_format(($fetchArray['timeTaken']/60/60),2,'.','') ?></td>
        <td>&pound; <?= number_format((($fetchArray['timeTaken']/60/60)*$fetchArray['wage_per_hour']),2,'.','') ?></td>
    </tr>
</table>

<table>
    <tr>
        <th>Sr#</th>
        <th>Check In At</th>
        <th>Check Out At</th>
        <th>Total Hours</th>
        <th>Salary</th>
    </tr>
    <?php
    $i = 1;
    while ($row = mysqli_fetch_row($result)) {

        $checkInAt = ($row[1] != NULL ? date("d/m/Y H:i", strtotime($row[1])): '');
        $checkOutAt = ($row[2] != NULL ? date("d/m/Y H:i", strtotime($row[2])): '');
        $totalHours = number_format(($row[6]/60/60),2,'.','');
        $totalSalary = number_format((($row[6]/60/60)*$row[3]),2,'.','');

        echo "<tr>";
        echo '<td>'.$i.'</td>';
        echo '<td>'.$checkInAt.'</td>';
        echo '<td>'.$checkOutAt.'</td>';
        echo '<td>'.$totalHours.'</td>';
        echo '<td>&pound; '.$totalSalary.'</td>';
        echo "</tr>";
        $i++;
    }

    ?>
</table>

</body>
</html>