<?php
//echo "gsdfsd jsdhhjsd jshdsdh";
require_once '../lib/common/utils.php';
require_once 'function_supplier.php';


set_include_path(get_include_path() . PATH_SEPARATOR . 'Classes/');
include 'PHPExcel/IOFactory.php';

$inputFileName = './excel/Data.xlsx';  // File to read
//echo 'Loading file ',pathinfo($inputFileName,PATHINFO_BASENAME),' using IOFactory to identify the format<br />';
try {
	$objPHPExcel = PHPExcel_IOFactory::load($inputFileName);
} catch(Exception $e) {
	die('Error loading file "'.pathinfo($inputFileName,PATHINFO_BASENAME).'": '.$e->getMessage());
}

function datetotime ($date, $format = 'YYYY-MM-DD') {

	if ($format == 'YYYY-MM-DD') list($year, $month, $day) = explode('-', $date);
	if ($format == 'YYYY/MM/DD') list($year, $month, $day) = explode('/', $date);
	if ($format == 'YYYY.MM.DD') list($year, $month, $day) = explode('.', $date);

	if ($format == 'DD-MM-YYYY') list($day, $month, $year) = explode('-', $date);
	if ($format == 'DD/MM/YYYY') list($day, $month, $year) = explode('/', $date);
	if ($format == 'DD.MM.YYYY') list($day, $month, $year) = explode('.', $date);

	if ($format == 'MM-DD-YYYY') list($month, $day, $year) = explode('-', $date);
	if ($format == 'MM/DD/YYYY') list($month, $day, $year) = explode('/', $date);
	if ($format == 'MM.DD.YYYY') list($month, $day, $year) = explode('.', $date);

	//return mktime(0, 0, 0, $month, $day, $year);
	return $year."-".$month."-".$day;
	

}


$sheetData = $objPHPExcel->getActiveSheet()->toArray(null,true,true,true);
echo "<pre>";
print_r($sheetData);
echo "</pre>";
die();

array_splice($sheetData, 0, 1);
foreach($sheetData as $rec)
{
	
	$agent=$rec['B'];
	$refNo=$rec['C'];
	$dat=str_replace("/","-",$rec['D']) ;
	$createdDate=date("Y-m-d",strtotime($dat));
	$name=$rec['E'];
	$telephone=$rec['F'];
	$departuredate=$rec['G'];
	$departuretime=$rec['H'];
	$arrivaldate=$rec['I'];
	$arrivaltime=$rec['J'];
	$bookingdays=$rec['K'];
	$bookingamount=$rec['L'];
	$carmake=sql_safe1($rec['M']);
	$carmodel=sql_safe1($rec['N']);
	$carcolor=sql_safe1($rec['O']);
	$carreg=sql_safe1($rec['P']);
	$departure_flight_no=sql_safe1($rec['R']);
	$arrival_flight_no=sql_safe1($rec['S']);
	
	//echo date("Y-m-d",strtotime($departuredate));
	$depdate=datetotime($departuredate,"MM-DD-YYYY");
	$bookingFrom=date("Y-m-d",strtotime($depdate))." ".$departuretime;
	
	$arrdate=datetotime($arrivaldate,"MM-DD-YYYY");
	$booking_to=date("Y-m-d",strtotime($arrdate))." ".$arrivaltime;
	
	$nameinfo=explode(" ",$name);
	
	if(count($nameinfo)==1)
	{
		$login_title="";
		$login_name=sql_safe1($nameinfo[0]);
		$login_surname="";
	}
	elseif(count($nameinfo)==2)
	{
		$login_title=sql_safe1($nameinfo[0]);
		$login_name=sql_safe1($nameinfo[1]);
		$login_surname="";
	}
	elseif(count($nameinfo) >= 2)
	{
		$login_surname="";
		$login_title=sql_safe1($nameinfo[0]);
		$login_name=sql_safe1($nameinfo[1]);
		
		for($i=2;$i<=count($nameinfo);$i++)
		{
			$login_surname=$login_surname.sql_safe1($nameinfo[$i]);
		}
	}
	
	
	if($agent=="FHR")
	{
		$supid="5";
	}
	elseif($agent=="APH")
	{
		$supid="2";
	}
	elseif($agent=="UPF")
	{
		$supid="4";
	}
	elseif($agent=="P&G")
	{
		$supid="3";
	}
	elseif($agent=="SAP")
	{
		$supid="7";
	}
	else
	{
		$supid="";
	}
	
	
	
    $sql="select * from bookings where booking_ref='".$refNo."' and supplier_id='".$supid."'";
    echo $sql;
	$r=mysql_query($sql);
	$num=mysql_num_rows($r);
	if($num==0)
	{	
		if($agent=="FHR" or $agent=="APH" or $agent=="UPF" or $agent=="P&G" or $agent=="SAP")
			{
				
				$loginFields=" login_email,email,login_password,login_active,login_created,login_lastlogin,login_permission
			  ,login_session,login_session_ip,login_title,login_name,login_surname,login_source,login_telephone,login_mobile
			  ,login_address_1,login_address_2,login_address_city,login_address_country,login_address_county,login_postcode
			  ,login_notes,login_subscribed";
				
				
				$loginValues="'','','','','$createdDate','','',
				'','','$login_title','$login_name','$login_surname','','$telephone','$telephone',
				'','','','','','','',''";
				$login_query="INSERT INTO `logins`($loginFields)VALUES($loginValues)";
                echo $login_query;
				mysql_query($login_query) or die('Login query Error'. mysql_error());
				
				
				
				if(mysql_query($login_query))
				{
					 $booking_login = mysql_insert_id();//changed to map booked_slot with  orders table
					
						$bookingFields="supplier_id,booking_login,booking_ref,booking_vehicle_color,booking_vehicle_make,
						booking_vehicle_model,booking_vehicle_body,booking_vehicle_reg,booking_from,booking_to,booking_returning_airport,
						booking_departure,booking_flight,booking_terminal,booking_level,booking_status,booking_quote_datestamp,
						booking_created,booking_updated,booking_total_days,booking_total,booking_remaining_amount,booking_voucher_code,
						booking_voucher_value,booking_payable,booking_paid,booking_payref,booking_paydata,valeting_type,valeting_charges,
						plan_id,booking_active";
						
						$bookingValues="'$supid','$booking_login','$refNo','$carcolor','$carmake',
						'$carmodel','','$carreg','$bookingFrom','$booking_to','',
						'$departure_flight_no','$arrival_flight_no','','','1','',
						'$createdDate','$createdDate','$bookingdays','$bookingamount','','',
						'','$bookingamount','$createdDate','','','','sup','',''";
						

												
						$booking_query="INSERT INTO `bookings` ($bookingFields)VALUES($bookingValues)";
				
						mysql_query($booking_query) or die('booking query Error');
					
				}
			}
	}
	
}


?>
