<link rel="stylesheet" href="https://code.jquery.com/ui/1.11.4/themes/smoothness/jquery-ui.css">
  
<script src="https://code.jquery.com/ui/1.11.4/jquery-ui.js"></script>
<script type="text/javascript">
$(function() {
    var dates = $('#dropOffDate').datepicker({
        dateFormat: 'dd-MM-yy',
        monthNames: ["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"],
        minDate: 0,
        onClose: function(selectedDate) {
            if(this.id == 'dropOffDate'){
                var dateMin = $('#dropOffDate').datepicker("getDate");
                var rMin = new Date(dateMin.getFullYear(), dateMin.getMonth(),dateMin.getDate() + 0);
                var rMax = new Date(dateMin.getFullYear(), dateMin.getMonth(),dateMin.getDate() + 300000000000);
                $('#returnDate').datepicker("option","minDate",rMin);
                $('#returnDate').datepicker("option","maxDateTime",rMin);
                $('#returnDate').datepicker('setDate', (new Date(rMin.getFullYear(), rMin.getMonth(),rMin.getDate() + 7) ));
            }
        }
    }).click(function() { $(this).datepicker('show'); });
    $('#returnDate').datepicker({
        numberOfMonths:2,
        dateFormat: 'dd-MM-yy',
        monthNames: ["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"],
        minDate: 0,
    }).click(function() { $(this).datepicker('show'); });
    $('#dropOffDate').datepicker('setDate', (new Date()));
    $('#dropOffDate').datepicker('setDate', (new Date('<?php echo $myyear; ?>','<?php echo $mymonth; ?>','<?php echo $mydate; ?>') ));
    var dateMin = $('#dropOffDate').datepicker("getDate");
    <?php   if(isset($_SESSION["BAP_BOOKING"]) && isset($objBooking->ReturnDate)){ ?>
    $('#returnDate').datepicker('setDate', (new Date('<?php echo $inmyyear; ?>','<?php echo $inmymonth; ?>','<?php echo $inmydate; ?>') ));
    <?php }else{?>
    $('#returnDate').datepicker('setDate', (new Date(dateMin.getFullYear(), dateMin.getMonth(),dateMin.getDate() + 7) ));
    <?php } ?>
    var rMin = new Date(dateMin.getFullYear(), dateMin.getMonth(),dateMin.getDate() + 0);
    var rMax = new Date(dateMin.getFullYear(), dateMin.getMonth(),dateMin.getDate() + 300000000000);
    $('#returnDate').datepicker("option","minDate",rMin);
    $('#returnDate').datepicker("option","maxDateTime",rMin);
    $('#dropOffDate, #returnDate').attr('readOnly', 'true');
});
function validate_date() {
    var srcDate = document.getElementById("dropOffDate").value.split('-');
    var srcTime = document.getElementById("dropOffHours").value + ":" + document.getElementById("dropOffMinutes").value;
    var destDate = document.getElementById("returnDate").value.split('-');
    var destTime = document.getElementById("returnHours").value + ":" + document.getElementById("returnMinutes").value;
    var dropOffDate = document.getElementById("dropOffDate");
    var returnDate = document.getElementById("returnDate");
    if (dropOffDate.value == '') {
        alert("Enter Drop-off Date.");
        dropOffDate.focus();
        return false;
    }
    if (returnDate.value == '') {
        alert("Enter Return Date.");
        returnDate.focus();
        return false;
    }
    var tDiff = (((new Date(srcDate[1]+" "+srcDate[0]+", "+srcDate[2]+ " " + srcTime + ":00").getTime()) - (new Date().getTime())) / 1000/60/60);
    if (tDiff < 12){ alert("Departure date must be 12 hours later than current date and time"); return false; }
    var rDiff = ( (new Date(destDate[1]+" "+destDate[0]+", "+destDate[2]+ " " + destTime + ":00").getTime() - new Date(srcDate[1]+" "+srcDate[0]+", "+srcDate[2]+ " " + srcTime + ":00").getTime()) / 1000/60/60);
    if (rDiff < 0 ){ alert("Arrival Date must be greater than departure date"); return false; }
    return true;
}
</script>