<?php
include 'includes/init.php';
//$wysiwyg_root = 'wysiwyg/'; include 'wysiwyg/php/init.php';
$database = new Database();
$controls = new HtmlControls();
$errors = new Error1();
$validation = new Validation();


$active = "1";

$driver_id = strip_tags(trim($_REQUEST["driver_id"]));
$yard_id = strip_tags(trim($_REQUEST["yard_id"]));
$date = isset($_REQUEST["date"]) ? date('Y-m-d',strtotime(strip_tags(trim($_REQUEST["date"])))) : date('d-m-Y');
$check_in_at = $date.' '.strip_tags(trim($_REQUEST["check_in_at"]));
$check_out_at = $date.' '.strip_tags(trim($_REQUEST["check_out_at"]));
//echo $Yardaddress;
$hid_id = $_REQUEST["hid_id"];
$pageno = isset($_REQUEST["p"]) ? (int) $_REQUEST["p"] : 1;
////////////////////////////////////////Page Action Ends//////////////////////////////////////
$id1=$_GET['cId'];



if (isset($_REQUEST['action'])) {

    $active = (isset($_REQUEST["active"]) ? "1" : "0");

    if (isset($id1)) {

        if ($validation->isEmpty(strip_tags(trim($_REQUEST["driver_id"])))) {
            $errors->addError("Please Select driver.");
        }

        if ($validation->isEmpty(strip_tags(trim($_REQUEST["yard_id"])))) {
            $errors->addError("Please Select yard.");
        }

        if ($validation->isEmpty(strip_tags(trim($_REQUEST["date"])))) {
            $errors->addError("Please Enter date.");
        }

        if ($validation->isEmpty(strip_tags(trim($_REQUEST["check_in_at"])))) {
            $errors->addError("Please Enter check in at.");
        }

        if ($validation->isEmpty(strip_tags(trim($_REQUEST["check_out_at"])))) {
            $errors->addError("Please Enter check out at.");
        }

        if (!$validation->isEmpty(strip_tags(trim($_REQUEST["date"]))) && !$validation->isEmpty(strip_tags(trim($_REQUEST["check_in_at"]))) && !$validation->isEmpty(strip_tags(trim($_REQUEST["check_out_at"])))) {

            $date = date('Y-m-d',strtotime($_REQUEST["date"]));

            if(strtotime($_REQUEST["check_in_at"]) > strtotime($_REQUEST["check_out_at"])){
                $errors->addError("Check In time should be before checkout time");
            }

            if(strtotime($_REQUEST["check_in_at"]) == strtotime($_REQUEST["check_out_at"])){
                $errors->addError("checkout time should be after checkin time");
            }

        }





        if (!$errors->isErrorFound() && isset($_GET['cId'])) {
            // echo $yardcode;
            // echo $yardname;
            // echo $yardaddress;
            // echo $active;
            // exit;
            mysqli_query($database->connection, "UPDATE `tbldrivertimesheet` SET `driver_id`='$driver_id',`yard_id`='$yard_id', `check_in_at`='$check_in_at',`check_out_at`='$check_out_at' WHERE `id`='$hid_id' AND `date`='$date'");
            $redirect = $ADMIN_URL . "timesheet.php?driver_id=".$driver_id.'&from_date='.date('d-m-Y').'&till_date='.date('d-m-Y');
            header("Location: $redirect");
        }
    } else {
        // echo "ff";
        // echo $yardcode;

        $sql = mysqli_query($database->connection, "select * from `tbldrivertimesheet` where driver_id ='$driver_id' AND `date`='$date'");
        $records1= mysqli_affected_rows($database->connection);
        if ($records1> 0) {

            $errors->addError("Entered Driver Slot already exists.");
        }

        if ($validation->isEmpty(strip_tags(trim($_REQUEST["driver_id"])))) {
            $errors->addError("Please Select driver.");
        }

        if ($validation->isEmpty(strip_tags(trim($_REQUEST["yard_id"])))) {
            $errors->addError("Please Select yard.");
        }

        if ($validation->isEmpty(strip_tags(trim($_REQUEST["date"])))) {
            $errors->addError("Please Enter date.");
        }

        if ($validation->isEmpty(strip_tags(trim($_REQUEST["check_in_at"])))) {
            $errors->addError("Please Enter check in at.");
        }

        if ($validation->isEmpty(strip_tags(trim($_REQUEST["check_out_at"])))) {
            $errors->addError("Please Enter check out at.");
        }

        if (!$validation->isEmpty(strip_tags(trim($_REQUEST["date"]))) && !$validation->isEmpty(strip_tags(trim($_REQUEST["check_in_at"]))) && !$validation->isEmpty(strip_tags(trim($_REQUEST["check_out_at"])))) {

            $date = date('Y-m-d',strtotime($_REQUEST["date"]));

            $from = strtotime(date('Y-m-d 00:00:00',strtotime($_REQUEST['date'])));
            $to = strtotime(date('Y-m-d 23:59:59',strtotime($_REQUEST['date'])));

            if(strtotime($_REQUEST["check_in_at"]) > strtotime($_REQUEST["check_out_at"])){
                $errors->addError("Check In time should be before checkout time");
            }

            if(strtotime($_REQUEST["check_in_at"]) == strtotime($_REQUEST["check_out_at"])){
                $errors->addError("checkout time should be after checkin time");
            }

        }



        if (!$errors->isErrorFound()) {
            $driver_id1 = $database->replace($driver_id);
            $yard_id1 = $database->replace($yard_id);
            $date1 = $database->replace($date);
            $check_in_at1 = $database->replace($check_in_at);
            $check_out_at1 = $database->replace($check_out_at);
            $active1 = $database->replace($active);

            $check_in_at1 =date('Y-m-d H:i:s',strtotime($check_in_at1));
            $check_out_at1 =date('Y-m-d H:i:s',strtotime($check_out_at1));

            $database->executeUpdate($database->connection, "INSERT INTO `tbldrivertimesheet`(`driver_id`,`yard_id`, `date`, `check_in_at`,`check_out_at`,`status`) VALUES ('$driver_id1','$yard_id1','$date1','$check_in_at1','$check_out_at1','1')");

            $abc = mysqli_insert_id($database->connection);
            $redirect = $ADMIN_URL . "timesheet.php?driver_id=".$driver_id.'&from_date='.date('d-m-Y').'&till_date='.date('d-m-Y');

            header("Location: $redirect");

        }
    }
} else {
    if (isset($_GET['cId'])) {
        //echo "ok";
        $database->executeQuery($database->connection, "select * from  `tbldrivertimesheet` where id =" . $_GET['cId']);
        $database->getNextRecord($database->connection);
        $id = $database->getColumn("id");
        $driver_id = $database->getColumn("driver_id");
        $date = $database->getColumn("date");
        $check_in_at = $database->getColumn("check_in_at");
        $check_out_at = $database->getColumn("check_out_at");
        //echo $active;
    }
}

include 'includes/header.php';
echo $controls->getPageTitle("Timesheet Information");

if ($errors->isErrorFound())
    echo $errors->getErrors();



$controls->setPanelWidth(700);  //in pixels

$admins = $_GET['cId'];
if ($admins != 0) {
    echo $controls->getFixedPanelHeader("Edit Timesheet");
} else {

    echo $controls->getFixedPanelHeader("Add Timesheet");
}





?>
    <form name="frmeditadmin" method="post" action="<?php echo  htmlspecialchars($_SERVER['REQUEST_URI']) ?>" enctype="multipart/form-data">
        <table cellpadding="4" cellspacing="0" border="0" align="left" width="95%">
            <?php
            if (isset($_GET['cId'])) {
                $admins = $_GET['cId'];
                $database->executeQuery($database->connection, "select * from tbldrivertimesheet where id = " . $admins);
                $database->getNextRecord($database->connection);
                $yard_id = $database->getColumn('yard_id');

            }
            ?>
            <tr>
                <td class="tbldata1" width="35%" align="right">Driver:</td>
                <td class="tbldata1" width="65%">
                    <select name="driver_id" style="width: 95%;" required>
                        <?php
                        $database->executeQuery($database->connection, "select * from tbldriver where active = 1");
                        $drivers = $database;
                        while($drivers->getAllRecord()){
                            $isSelected = $drivers->getColumn('id') == $driver_id ? 'selected' : '';
                            echo "<option value='".$drivers->getColumn('id')."'  ".$isSelected.">".$drivers->getColumn('name')."</option>";
                        }
                        ?>
                    </select>
                </td>
            </tr>
            <tr>
                <td class="tbldata1" width="35%" align="right">Yard:</td>
                <td class="tbldata1" width="65%">
                    <select name="yard_id" style="width: 95%;" required data-yard="<?= $yard_id ?>">
                        <?php
                        $database->executeQuery($database->connection, "select * from tblyards where active = '1'");
                        $yards = $database;
                        while($yards->getAllRecord()){
                            $isSelected = $yards->getColumn('yard_id') == $yard_id ? 'selected' : '';
                            echo "<option value='".$yards->getColumn('yard_id')."'  ".$isSelected.">".$yards->getColumn('yard_name')."</option>";
                        }
                        ?>
                    </select>
                </td>
            </tr>
            <tr>
                <td class="tbldata1" width="35%" align="right">Date:</td>
                <td class="tbldata1" width="65%">
                    <input type="text" name="date" id="filter_from" size="40" required maxlength="50" value="<?= isset($date) && $date != '' ? date('d-m-Y',strtotime($date))  : date('d-m-Y'); ?>">
                </td>
            </tr>
            <tr>
                <td class="tbldata1" width="35%" align="right">Check In At:</td>
                <td class="tbldata1" width="65%">
                    <input type="time" name="check_in_at" id="check_in_at" size="40" maxlength="50" required value="<?= date('H:i',strtotime($check_in_at)); ?>">
                </td>
            </tr>
            <tr>
                <td class="tbldata1" width="35%" align="right">Check Out At:</td>
                <td class="tbldata1" width="65%">
                    <input type="time" name="check_out_at" id="check_out_at" size="40" maxlength="50" required value="<?= date('H:i',strtotime($check_out_at)) ?>">
                </td>
            </tr>
            <tr>
                <td class="tbldata1" align="right">&nbsp;</td>
                <td align="right" class="tbldata1" height="30">
                    <input type="submit" class="btn" name="action" value=" Submit " onclick="setValues1();">&nbsp;
                    <input type="button" class="btn" value=" Cancel " onClick="location.href = '<?= $ADMIN_URL ?>timesheet.php?driver_id=<?= $driver_id ?>&from_date=<?= date('d-m-Y') ?>&till_date=<?= date('d-m-Y') ?>'">&nbsp;&nbsp;&nbsp;
                </td>
                <td> <input type="hidden" name="hid_id" value="<?= $admins; ?>" />
            </tr>
        </table>

    </form>

<?php echo $controls->getFixedPanelFooter() ?>

    <script type="text/javascript" src="datepickerfiles/jquery.datepick.js"></script>
    <script src="datepickerfiles/jquery-ui-1.7.2.custom.min.js"></script>
    <link rel="stylesheet" href="datepickerfiles/date_picker_style.css" />

    <script>
        jQuery(document).ready(function($) {
            $(function() {
                var dates = $('#filter_from').datepicker({
                    dateFormat: 'dd-mm-yy',
                    maxDate: 0,

                }).click(function() { $(this).datepicker('show'); });

                $('#filter_from').attr('readOnly', 'true');

            });
        });
    </script>

<?php
include 'includes/footer.php';
include "includes/destroy.php";
?>