<?php
	  include 'includes/init.php';
	 $database = new Database();
	 $controls = new HtmlControls();
	 $errors = new Error1();
	 $validation = new Validation();
	 $pageno = isset($_REQUEST["p"]) ? (int)$_REQUEST["p"] : 1;
	  if (isset($_REQUEST["action"]))
	  {
		if ($validation->isEmpty($_REQUEST["name"]))
		{
			$errors->addError("Please enter name.\n");
		}
		if ($validation->isEmpty($_REQUEST["email"]))
		{
			$errors->addError("Please enter email address.\n");
		}
		else if (!$validation->isValidEmail($_REQUEST["email"]))
		{
			$errors->addError("Invalid email address.\n");
		}
		if (isset($_REQUEST["login"]))
		{
			if ($validation->isEmpty($_REQUEST["login"]))
			{
				$errors->addError("Please enter login.\n");
			}
			else
			{
				$database->executeQuery($database->connection,"select admin_id from tbladmin where admin_login='" . $database->replace($_REQUEST["login"]) . "'");
				if ($database->getNextRecord($database->connection))
				{
					$errors->addError("Login name already exist.\n");
				}
			}
		}
		if ($validation->isEmpty($_REQUEST["password"]))
		{
			$errors->addError("Please enter password.\n");
		}
		if ($validation->isEmpty($_REQUEST["cpassword"]))
		{
			$errors->addError("Please enter confirm password.\n");
		}
		if (!$validation->isEmpty($_REQUEST["password"]) && !$validation->isEmpty($_REQUEST["cpassword"]) && !($_REQUEST["password"] == $_REQUEST["cpassword"]))
		{
			$errors->addError("Password and confirm password must be same.\n");
		}
		if (!$errors->isErrorFound())
		{
			$database->executeUpdate
			($database->connection,"insert into tbladmin(admin_name,admin_email,admin_login,admin_password,admin_rights,admin_isactive) 
			values('" . $database->replace($_REQUEST["name"]) . "',
			'" . $_REQUEST["email"] . "',
			'" . $database->replace($_REQUEST["login"]) . "',
			'" . $database->replace($_REQUEST["password"]) . "',
			'" . (isset($_REQUEST["Products"]) ? "1" : "0") . (isset($_REQUEST["CMS"]) ? "1" : "0") .  (isset($_REQUEST["inforeq"]) ? "1" : "0") . (isset($_REQUEST["admins"]) ? "1" : "0")."',
			" . (isset($_REQUEST["active"]) ? "1" : "0").")");
			$redirect = $ADMIN_URL . "admins.php?p=". $pageno;
			header("Location: $redirect");
		}
	}
	include 'includes/header.php';
	echo $controls->getPageTitle("Add Administrator");
	if ($errors->isErrorFound())
	{
		echo $errors->getErrors();
	}
	$controls->setPanelWidth(480); //in pixels
	echo $controls->getFixedPanelHeader("Add Site Administrator");
	?>
	<table cellpadding="0" cellspacing="0" border="0" align="center" width="480">
	<form name="frmadmins" method="post" action="<?=$_SERVER['PHP_SELF']?>">
	<input type="hidden" name="p" value="<?=$pageno?>">
	<tr>
	<td class="tblhd" height="22">&nbsp;&nbsp;Administrator Infortmation</td>
	</tr>
	<tr><td>
	<table cellpadding="4" cellspacing="0" border="0" align="center" width="480">
	<tr>
	<td class="tbldata1" width="35%" align="right"><font class="comp">*</font> Name:</td>	
	<td class="tbldata1" width="65%">
	<input type="text" name="name" size="40" maxlength="50" value="<?=$_REQUEST["name"]?>">
	</td>
	</tr>
	<tr>
	<td class="tbldata1" align="right"><font class="comp">*</font> Email:</td>	
	<td class="tbldata1">
	<input type="text" name="email" size="40" maxlength="50" value="<?=$_REQUEST["email"]?>">
	</td>
	</tr>
	<tr>
	<td class="tbldata1" align="right"><font class="comp">*</font> Login:</td>	
	<td class="tbldata1">
	<input type="text" name="login" size="25" maxlength="50" value="<?=$_REQUEST["login"]?>">
	</td>
	</tr>
	<tr>
	<td class="tbldata1" align="right"><font class="comp">*</font> Password:</td>	
	<td class="tbldata1">
	<input type="password" name="password" size="25" maxlength="30" value="<?=$_REQUEST["password"]?>">
	</td>
	</tr>
	<tr>
	<td class="tbldata1" align="right"><font class="comp">*</font> Confirm Password:</td>	
	<td class="tbldata1">
	<input type="password" name="cpassword" size="25" maxlength="30" value="<?=$_REQUEST["cpassword"]?>">
	</td>
	</tr>
	<tr>
	<td class="tbldata1" align="right">Active:</td>	
	<td class="tbldata1">
	<input type="checkbox" name="active"  value="1" <?php echo (!$errors->isErrorFound() ? " checked" : (isset($_REQUEST["active"]) ? " checked":"")); ?>>
	</td>
	</tr>
	</table>
	</td></tr>
	<tr>
	<td class="tblhd" height="22" colspan="3">&nbsp;&nbsp;Administration Rights</td>
	</tr>
	<tr><td>
	<table cellpadding="4" cellspacing="1" border="0" align="center" width="480">
	<tr>
	<td class="tbldata1" width="160" align="right">Products:</td>	
	<td class="tbldata1">
	<input type="checkbox" name="Products"  value="1" <?php echo $errors->isErrorFound() ? (isset($_REQUEST["Products"])?" checked":"") : (substr($rights,0,1) == "1" ?" checked":""); ?>>
	</td>
	</tr>
	
	<tr>
	<td class="tbldata1" width="160" align="right">CMS:</td>	
	<td class="tbldata1">
	<input type="checkbox" name="CMS"  value="1" <?php echo $errors->isErrorFound() ? (isset($_REQUEST["CMS"])?" checked":"") : (substr($rights,1,1) == "1" ?" checked":""); ?>>
	</td>
	</tr>
	       
	<tr>
	<td class="tbldata1" align="right">Information Request:</td>	
	<td class="tbldata1">
	<input type="checkbox" name="inforeq"  value="1" <?php echo $errors->isErrorFound() ? (isset($_REQUEST["inforeq"])?" checked":"") : (substr($rights,2,1) == "1" ?" checked":""); ?>>
	</td>
	</tr>
	<tr>
	<td class="tbldata1" align="right">Administration:</td>	
	<td class="tbldata1">
	<input type="checkbox" name="admins" value="1" <?php echo $errors->isErrorFound() ? (isset($_REQUEST["admins"])?" checked":"") : (substr($rights,3,1) == "1" ?" checked":""); ?>>
	</td>
	</tr>
	<tr>
	<td class="tbldata1" align="right">&nbsp;</td>	
	<td align="right" class="tbldata1" height="30">
	<input type="submit" class="btn" name="action" value=" Submit ">&nbsp;<input type="button"  class="btn" value=" Cancel " onclick="location.href='<?=$ADMIN_URL?>admins.php?p=<?=$pageno?>'">&nbsp;&nbsp;&nbsp;
	</td>
	</tr>
	</table>
	</td></tr>
	</form>
	</table>
	<?= $controls->getFixedPanelFooter() ?>
	<?  include 'includes/footer.php';
	include "includes/destroy.php";
	?>