<?php
session_start();

require_once("pdf/examples/connection.php");
$listing_search_where=$_SESSION['whereClause'];
$orderby=$_SESSION['orderBy'];

$sql="SELECT DISTINCT 
bookings.booking_id,
bookings.supplier_id,
bookings.booking_ref,
DATE_FORMAT(bookings.booking_from,'%d-%M-%Y %H:%i') AS StartDate,
DATE_FORMAT(bookings.booking_to,'%d-%M-%Y %H:%i') AS ReturnDate,
bookings.booking_status,
tblvehicle.booking_vehicle_make,
tblvehicle.booking_vehicle_model,
tblvehicle.booking_vehicle_color,
tblvehicle.booking_vehicle_reg,
DATE_FORMAT(bookings.booking_created,'%d-%M-%Y %H:%i') AS booked_date,

bookings.booking_status,
bookings.booking_flight,
bookings.booking_total,
bookings.booking_remaining_amount,
bookings.booking_payable,
bookings.booking_terminal,
bookings.booking_voucher_code,
bookings.booking_voucher_value,
logins.login_name,
logins.login_telephone,
logins.login_mobile,
logins.login_email,
logins.login_address_1,
logins.login_address_2,
logins.login_address_city,
logins.login_address_county,
logins.login_postcode,
bookings.booking_total_days,
bookings.no_of_vehicle,
bookings.booking_level,
bookings.booking_terminal_return
FROM
bookings
Inner Join logins ON bookings.booking_login = logins.login_id  
Inner Join tblvehicle ON bookings.booking_id = tblvehicle.bookingid
$listing_search_where $orderby";



//$sql = $_SESSION['query'];

$result = @mysqli_query($conn,$sql)or die("Couldn't execute query:<br>".mysqli_error($conn).'<br>'.mysqli_errno($conn));
/*$row = mysqli_fetch_row($result);
print_r($row);*/
header('Content-Type: application/vnd.ms-excel');//define header info for browser
header('Content-Disposition: attachment; filename=clienBookingList-'.date('Ymd').'.xls');
header('Pragma: no-cache');
header('Expires: 0');

//echo"Sr# \t Supplier Name \t Reference # \t Booked Date/Time \t Name \t Telephone # \t Mobile # \t Email \t Address \t Departure Date \t Departure Time \t Return Date \t Return Time \t Charges  \t Car Make \t Car Model \t Car Colour \t Registration Number \t Return Flight # \t Departure Terminal \t Total Days \t Vehicle \t Return Terminal";
echo"Sr# \t Supplier Name \t Reference # \t Booked Date/Time \t Name \t Telephone # \t Mobile # \t Departure Date \t Departure Time \t Return Date \t Return Time \t Charges  \t Car Make \t Car Model \t Car Colour \t Registration Number \t Return Flight # \t Departure Terminal \t Total Days \t Vehicle \t Return Terminal";
print("\n");
$i=1;
while($row = mysqli_fetch_row($result))
{
$output="";
$output .=$i."\t";
$sup_query = mysqli_query($conn,"select * from supplier where supplier_id=".$row[1]."");
$sup_row = mysqli_fetch_array($sup_query);
$output .=$sup_row['short_name']."\t";
$output .=$row[2]."\t";//ref no
$output .=date("d-m-Y H:i",strtotime($row[10]))."\t"; //booked date time
$output .=$row[19]."\t"; //client name
$output .=$row[20]."\t"; //telephone
$output .=$row[21]."\t"; //mobile
//$output .=$row[22]."\t"; //email
//$output .=$row[23]." ".$row[24]." ".$row[25]." ".$row[26]." ".$row[27]."\t"; //Address
$output .=date("d-m-Y",strtotime($row[3]))."\t"; //booking from
$output .=date("H:i",strtotime($row[3]))."\t"; //drop of time 
$output .=date("d-m-Y",strtotime($row[4]))."\t"; //booking to
$output .=date("H:i",strtotime($row[4]))."\t"; //collection time
$output .=number_format($row[15],2)."\t"; //booking pay able
$output .=$row[6]."\t"; //car make
$output .=$row[7]."\t"; //car model
$output .=$row[8]."\t"; //car color
$output .=$row[9]."\t"; //car reg
$output .=$row[12]."\t"; //Arrival
$output .=$row[16]."\t"; //Terminal
$output .=$row[28]."\t"; //total days
$output .=$row[29]."\t"; //vehicle info
$output .=$row[31]."\t"; //Return Terminal
$output = preg_replace("/\r\n|\n\r|\n|\r/", ' ', $output);
print(trim($output))."\t\n";

$i++;
}



?>