<?php
require('fpdf.php');
require_once('connection.php');
session_start();
class PDF extends FPDF
{
// Load data
function LoadData($file)
{
    // Read file lines
    $lines = file($file);
    $data = array();
    foreach($lines as $line)
        $data[] = explode(';',trim($line));
    return $data;
}

public function Header() {
	// Logo
	//$image_file = K_PATH_IMAGES.'mobit-logo.png';
/*	$image_file = '../images/mobit-logo.png';
	
	$this->Image($image_file, 15, 5, 45, '', 'PNG', '', 'T', false, 300, '', false, false, 0, false, false, false);
	// Set font
	$this->SetFont('helvetica', '', 8);
	// Title
	$this->SetY(8);
	$this->x = 180;
	$this->Cell(0, 15, 'For Inquiry', 0, false, 'C', 0, '', 3, false, 'M', 'M');

	$this->SetY(12);
	$this->x = 185;
	$this->Cell(0, 15, '0203 389 5677', 0, false, 'C', 0, '', 3, false, 'M', 'M');

	$this->SetY(16);
	$this->x = 205;
	$this->Cell(0, 15, '(Monday to Friday 9am to 6pm)', 0, false, 'C', 0, '', 3, false, 'M', 'M');

	$this->SetY(20);
	$this->x = 208;
	$this->Cell(0, 15, 'agent@mobitairportparking.co.uk', 0, false, 'C', 0, '', 3, false, 'M', 'M');
	$this->Ln();*/
}

// Page footer
public function Footer() {
	// Position at 15 mm from bottom
	$this->SetY(-15);
	// Set font
	$this->SetFont('helvetica', 'I', 9);
	// Page number
	//$this->Cell(0, 10, 'Page '.$this->getAliasNumPage().'/'.$this->getAliasNbPages(), 0, false, 'C', 0, '', 0, false, 'T', 'M');

	$this->SetFont('helvetica', '', 9);
	$this->SetY(-10);
	$this->x = -140;
	$this->Cell(0, 15, 'Copyright by Best Meet And Greet Parking Luton', 0, false, 'C', 0, '', 3, false, 'M', 'M');

	$this->SetY(-10);
	$this->x = 140;
	$this->Cell(0, 15, 'Powered by: Mobit Solutions', 0, false, 'C', 0, '', 3, false, 'M', 'M');
	$this->Ln();
	$this->Ln();
}

// Simple table
function BasicTable($conn)
{
	// Header
	//$this->SetFont('times','',10);
	$w = array(10,30,40,30,30,30,80,25);
	// Header
		$this->Cell($w[0],7,"S.No",1,0,'C');
		$this->Cell($w[1],7,"Reference #",1,0,'C');
		$this->Cell($w[2],7,"Full Name",1,0,'C');
		$this->Cell($w[3],7,"Booked Date",1,0,'C');
		$this->Cell($w[4],7,"Meet Date/Time",1,0,'C');
		$this->Cell($w[5],7,"Return Date/Time",1,0,'C');
		$this->Cell($w[6],7,"Vehicle",1,0,'C');
		$this->Cell($w[7],7,"Total Amount",1,0,'C');
		
		
		
		$this->Ln();

	$this->SetFont('times','',9);
	//$result = mysqli_query("select * from tbl_booking");
	$result = mysqli_query($conn,$_SESSION['query']);
	$count=1;
	$booking_amount=0;
	
	while($row = mysqli_fetch_array($result))
	{
          //$this->Cell(40,6,$col,1);
        	
			$ref_no = $row['booking_ref'];
			$fullname = $row['login_name'];
			$booked_date = date("d-m-Y H:i",strtotime($row['booked_date']));
			$dep_date = date("d-m-Y H:i",strtotime($row['StartDate']));
			$arr_date = date("d-m-Y H:i",strtotime($row['ReturnDate']));
			$vehicle = $row['no_of_vehicle'];
			$total_amount = $row['booking_payable'] +$row['booking_voucher_value']+ $row['booking_remaining_amount'];
			
			$this->Cell($w[0],7,$count,1,0,'C');
			$this->Cell($w[1],7,$ref_no,1,0,'C');
			$this->Cell($w[2],7,$fullname,1,0,'C');
			/*$this->Cell($w[0],7,$count,1);
			$this->MultiCell($w[1],7,$ref_no,1);
			$this->MultiCell($w[2],7,$fullname,1);
			*/
			$this->Cell($w[3],7,$booked_date,1,0,'C');
			//$this->MultiCell($w[3],7,$booked_date,1);
			$this->Cell($w[4],7,$dep_date,1,0,'C');
			$this->Cell($w[5],7,$arr_date,1,0,'C');
			$this->Cell($w[6],7,$vehicle,1);
			$this->Cell($w[7],7,utf8_decode('')." ".number_format($total_amount,2),1,0,'C');
			$this->Ln();
			$count++;
			$booking_amount=$booking_amount + $total_amount;
	}
	
	$this->Cell($w[0],7,'','LB');
	$this->Cell($w[1],7,'','B');
	$this->Cell($w[2],7,'','B');
	$this->Cell($w[4],7,'','B');
	$this->Cell($w[3],7,'Total','B');
	$this->Cell($w[5],7,'','B');
	$this->Cell($w[6],7,'','B');
	$this->Cell($w[7],7,utf8_decode('')." ".number_format( $booking_amount ,2),1,0,'C');
	
	
}

}

$pdf = new PDF();
$pdf->AddPage();



	$pdf->SetFont('times', '', 19);
	
	$pdf->SetXY(10, 8);
	$pdf->Write(12, 'Booking Report', '', 0,'L', true, 0, false, false, 0);

	$pdf->SetXY(230, 12);
	$pdf->Write(5, "Total Records:".$_SESSION['rows'], '', 0, 'L', true, 0, false, false, 0);
	$pdf->SetXY(10, 18);

//$pdf->SetXY(10, 80);
$pdf->SetFont('times','',10);

$pdf->BasicTable($conn);
$pdf->Output();

unset($_SESSION['from']);
unset($_SESSION['to']);
unset($_SESSION['search']);

?>