<?php include 'includes/init.php';	
	$database = new Database();
	$controls = new HtmlControls();
	$errors = new Error();
	$validation = new Validation();
	
	require("../lib/common/class.phpmailer.php");
	include 'includes/header.php'; 

	echo $controls->getPageTitle("Send Mail");

	$plainMsg=$_REQUEST["altbody"];
	$htmlMsg=$_REQUEST["body"];
	$subject=$_REQUEST["sendmailsubject"];
	$sendmailto=$_REQUEST["sendmailto"];	

	if (isset($_REQUEST["action"]) && $_REQUEST["sel"]==0)
	{
		if ($validation->isEmpty($_REQUEST["sendmailfrom"]))
		{
			$errors->addError("Please enter FROM email address.");
		}
		else if (!$validation->isValidEmail($_REQUEST["sendmailfrom"]))
		{
			$errors->addError("Invalid FROM email address.");
		}
		if ($validation->isEmpty($_REQUEST["sendmailto"]))
		{
			$errors->addError("Please enter TO email address(s).");
		}
		else
		{
			$emailaddress = strtok($_REQUEST["sendmailto"], ",");
			while ($emailaddress)
			{
				if (!$validation->isValidEmail($emailaddress))
				{
					$errors->addError("Invalid TO email address.");
				}
				$emailaddress = strtok(",");
			}
		}
		if ($validation->isEmpty($_REQUEST["sendmailsubject"]))
		{
			$errors->addError("Please enter email subject.");
		}
		if ($validation->isEmpty($_REQUEST["altbody"]) && ($validation->isEmpty($_REQUEST["body"]) || trim($_REQUEST["body"])=="<P>&nbsp;</P>"))
		{
			$errors->addError("Please enter Message.");
		}
		if (!$validation->isEmpty($_REQUEST["body"]) && $validation->isEmpty($_REQUEST["altbody"]))
		{
			$errors->addError("Please enter Text message also.");
		}
		if (!$errors->isErrorFound())
		{
			$mail = new PHPMailer();
			$count = 1;
			$controls->setPanelWidth(100);
			echo $controls->getPanelHeader("Sent Message Confirmation");
			?>
			<table cellpadding="4" cellspacing="1" border="0"  align="center" width="100%">
			<tr><td class="tblhd" colspan="2">Your message has been sent to: </td></tr>
			<?
			$emailaddress = "";
			$emailaddress = strtok($_REQUEST["sendmailto"], ",");
			$mail->From     = $_REQUEST["sendmailfrom"];
			$mail->FromName = $_REQUEST["sendmailfrom"];
			$mail->Subject  = $_REQUEST["sendmailsubject"];
			$mail->Body     = ($validation->isEmpty($_REQUEST["body"]) || trim($_REQUEST["body"])=="<P>&nbsp;</P>")?$database->replace($_REQUEST["altbody"], "\r\n", "<br>"):$_REQUEST["body"];
			$mail->AltBody  = $_REQUEST["altbody"];
			while ($emailaddress)
			{
					$name="";
					$gradYear="";
 					if ($emailaddress!="")
					{
						$database->executeQuery("select alumni_name, alumni_gradyear, add_email from tblalumni, tblalumnidetails, tbladdresses where tblalumni.alumni_id=tblalumnidetails.alumni_id and tblalumnidetails.alumnidtl_id=tbladdresses.alumnidtl_id and add_email='".$database->replace($emailaddress)."'");
						if ($database->getNextRecord())
						{
							$name=$database->getColumn("alumni_name");
							$gradYear=$database->getColumn("alumni_gradyear");
						}
						$mail->Body=$database->replace($mail->Body, "#name#", $name);
						$mail->Body=$database->replace($mail->Body, "#graduationyear#", $gradYear);
						$mail->AltBody=$database->replace($mail->AltBody, "#name#", $name);
						$mail->AltBody=$database->replace($mail->AltBody, "#graduationyear#", $gradYear);
						//$mail->AddAddress($emailaddress);
						$mail->AddBCC($emailaddress);
						//$mail->Send();
					}
 				?>
				<tr>
					<td class="tbldata1" width="10%"><b><?=$count++?></b></td>
					<td class="tbldata1" width="90%"><?=$emailaddress?></td>
				</tr>
				<?
				$emailaddress = strtok(",");
			}
			$mail->Send();
			?>
			
			</table>
			<?
			echo $controls->getPanelFooter();
		}
	}

	if (!isset($_REQUEST["action"]) || $errors->isErrorFound())
	{
	?>
		<script Language="Javascript">
		function go()
		{
			document.frmsendmail.sel.value=1;
			document.frmsendmail.submit();
		}
		function showUsersList()
		{
			window.open('index.php?req=userslist','addressbook','top=10,left=10,width=500,height=600,toolbar=no,location=no,directories=no,status=no,menubar=no,resizable=no,copyhistory=no,scrollbars=yes');
		}
		function preview()
		{
			frm=document.frmsendmail;
			win=window.open('','preview','top=10,left=10,width=750,height=550,toolbar=no,location=no,directories=no,status=no,menubar=no,resizable=no,copyhistory=no,scrollbars=yes');
			win.document.writeln("<html>");
			win.document.writeln("<head><title>Mail Preview</title><link href=\"style/style.css\" type=\"text/css\" rel=\"stylesheet\"></head>");
			win.document.writeln("<body topmargin=\"0\" leftmargin=\"0\" marginheight=\"0\" marginwidth=\"0\">");
			win.document.writeln("<form name=\"preview\">");
			win.document.writeln("<table cellpadding=\"0\" cellspacing=\"1\" border=\"0\"  align=\"center\" width=\"730\">");
			win.document.writeln("<tr>");
			win.document.writeln("<td class=\"tblhd\" height=\"22\">");
			win.document.writeln("&nbsp;&nbsp;Message Preview");
			win.document.writeln("</td>");
			win.document.writeln("</tr>");
			win.document.writeln("<tr>");
			win.document.writeln("<td>");
			win.document.writeln("<table cellpadding=\"4\" cellspacing=\"1\" border=\"0\"  align=\"center\" width=\"680\">");
			win.document.writeln("<tr>");
			win.document.writeln("<td class=\"tbldata1\" width=\"100\" align=\"right\">");
			win.document.writeln("<b>To: </b>");
			win.document.writeln("</td>");
			win.document.writeln("<td class=\"tbldata1\" width=\"580\">");
			win.document.writeln(frm.sendmailto.value);
			win.document.writeln("</td>");
			win.document.writeln("</tr>");
			win.document.writeln("<tr>");
			win.document.writeln("<td class=\"tbldata1\" valign=\"top\" align=\"right\">");
			win.document.writeln("<b>CC: </b>");
			win.document.writeln("</td>");
			win.document.writeln("<td class=\"tbldata1\">");
			win.document.writeln(frm.sendmailcc.value);
			win.document.writeln("</td>");
			win.document.writeln("</tr>");
			win.document.writeln("<tr>");
			win.document.writeln("<td class=\"tbldata1\" valign=\"top\" align=\"right\">");
			win.document.writeln("<b>BCC: </b>");
			win.document.writeln("</td>");
			win.document.writeln("<td class=\"tbldata1\">");
			win.document.writeln(frm.sendmailbcc.value);
			win.document.writeln("</td>");
			win.document.writeln("</tr>");
			win.document.writeln("<tr>");
			win.document.writeln("<td class=\"tbldata1\" valign=\"top\" align=\"right\">");
			win.document.writeln("<b>Subject: </b>");
			win.document.writeln("</td>");
			win.document.writeln("<td class=\"tbldata1\">");
			win.document.writeln(frm.sendmailsubject.value);
			win.document.writeln("</td>");
			win.document.writeln("</tr>");
			win.document.writeln("<tr>");
			win.document.writeln("<td class=\"tbldata1\" valign=\"top\" align=\"right\">");
			win.document.writeln("<b>Message: </b>");
			win.document.writeln("</td>");
			win.document.writeln("<td class=\"tbldata1\" height=\"200\" valign=\"top\">");
			win.document.writeln(frm.body.value);
			win.document.writeln("</td>");
			win.document.writeln("</tr>");
			win.document.writeln("<tr>");
			win.document.writeln("<td align=\"right\" class=\"tbldata1\" colspan=\"2\" height=\"30\">");
			win.document.writeln("<input type=\"button\"  class=\"btn\" value=\" close \" onclick=\"window.close()\">");
			win.document.writeln("</td>");
			win.document.writeln("</tr>");
			win.document.writeln("</table>");
			win.document.writeln("</td>");
			win.document.writeln("</tr>");
			win.document.writeln("</table>");
			win.document.writeln("</form>");
			win.document.writeln("</body>");
			win.document.writeln("</html>");
		}
		</script>
		<?
		if ($errors->isErrorFound())
		{
			echo $errors->getErrors();
		}
		$controls->setPanelWidth(550);
		echo $controls->getFixedPanelHeader("Send Emails");
		?>
		<table  border="0" cellPadding="0" cellSpacing="0" width="548" align="center">		<tr>
		<td>
		<table cellPadding="4" cellSpacing="1" border="0" width="548" align="center">
		<form action="<?=$ADMIN_URL?>index.php?req=sendemails" method="post" name="frmsendmail">
		<input type="hidden" name="sel" value="0">
		<tr>
		<td class="tbldata1" width="130" align="right"><font class="comp">*</font> From:</td>
		<td class="tbldata1" valign="top" width="">
		<input type="text" name="sendmailfrom" value="<?= isset($_REQUEST['sendmailfrom']) ? stripslashes($_REQUEST['sendmailfrom']) : "admin@BVSVirbaijeeites.com" ?>" size="50" maxlength="50"></td>
		</tr>
		<tr>
		<td class="tbldata1" align="right"><font class="comp">*</font> To:</td>
		<td class="tbldata1" valign="top" width="358">
		<input type="text" name="sendmailto" value="<?= stripslashes($_REQUEST['sendmailto']) ?>" size="50"> <a href="JavaScript:showUsersList()">Address Book</a></td>
		</tr>
		<tr>
		<td class="tbldata1" align="right" valign="top">Template:</td>
		<td class="tbldata1" valign="top">
		<?php
		echo "<select name=\"template\" style=\"width:270px;\" onchange=\"go()\">";
		echo "<option value=\"\">Select a Template</option>";
		$database->executeQuery("select semailtemp_id, semailtemp_title, semailtemp_plainmsg, semailtemp_htmlmsg from tblstaticemailtemplates order by semailtemp_title");
		while ($database->getNextRecord())
		{
			if (isset($_REQUEST["sel"]) && $_REQUEST["sel"]==1 && $_REQUEST["template"]==$database->getColumn("semailtemp_id"))
			{
				$subject=$database->getColumn("semailtemp_title");
				$plainMsg=$database->getColumn("semailtemp_plainmsg");
				$htmlMsg=$database->getColumn("semailtemp_htmlmsg");
			}
			echo "<option value=\"".$database->getColumn("semailtemp_id")."\" ".($_REQUEST["template"]==$database->getColumn("semailtemp_id")?"Selected":"").">".$database->getColumn("semailtemp_title")."</option>";
		}
		echo "</select>";
		?> 
		</tr>		
		<tr>
		<td class="tbldata1" align="right"><font class="comp">*</font> Subject:</td>
		<td class="tbldata1" valign="top">
		<input type="text" name="sendmailsubject" value="<?= stripslashes($subject) ?>" size="50" maxlength="50"></td>
		</tr>

		<tr>
		<td class="tbldata1" align="right" valign="top"><font class="comp">*</font> Plain text message:</td>
		
		<td class="tbldata1" valign="top">
		<?php echo "<textarea name=\"altbody\" cols=\"59\" rows=\"15\">".stripslashes($plainMsg)."</textarea>";?>
		</tr>

		<tr>
		<td class="tbldata1" valign="top" align="right"><font class="comp">*</font> HTML message:</td>
		
		<td class="tbldata1" valign="top">
		
		<? echo $controls->getRichTextEditor("frmsendmail", "body", $htmlMsg, "425px", "250px"); ?>
		</td>
		</tr>
		<tr>
		<td class="tbldata1" align="right" colspan="3" height="30">
		<input type="submit" class="btn" name="action" value=" Send Email " onclick="setValues();">&nbsp;&nbsp;
		</td>
		</tr>
		</form>
		</table >
		</td></tr></table>
		<? echo $controls->getFixedPanelFooter();
	} 
?>
