<?php 
//error_reporting(1);
//require("init.php");
//include_once('configuration.php');
try {
$API = new MyAPI( isset($_REQUEST['request'])?$_REQUEST['request']:'' );
echo $API->processAPI();
} catch (Exception $e) {
echo json_encode(Array('error' => $e->getMessage()));
}
$service = $_REQUEST['service'];
//$data = $_REQUEST;
//print_r($_REQUEST);
//die;


class MyAPI {

private $image_data;
private $thumb_data;
private $currency_symbol;
private $is_parameters;
private $baseUrl='http://www.bestmeetandgreetheathrow.co.uk/';
//private $baseUrl='http://localhost/arvernemobilesite/bestmeetandgreetheathrow.co.uk/demo/tempBlog/wordpress/site/demo/';
//private $request_type;
private $forbidden_charaters = array(";","'","<",">");
/**
 * Property: method
 * The HTTP method this request was made in, either GET, POST, PUT or DELETE
 */
protected $request_type = '';
/**
 * form_validation
 */
protected $form_validation = '';
/**
 * Property: method
 * Api function request
 */
protected $request = '';
/**
 * Property: endpoint
 * The Model requested in the URI. eg: /files
 */
protected $endpoint = '';
/**
 * Property: verb
 * An optional additional descriptor about the endpoint, used for things that can
 * not be handled by the basic methods. eg: /files/process
 */
protected $verb = '';
/**
 * Property: args
 * Any additional URI components after the endpoint and verb have been removed, in our
 * case, an integer ID for the resource. eg: /<endpoint>/<verb>/<arg0>/<arg1>
 * or /<endpoint>/<arg0>
 */
protected $args = Array();
/**
 * Property: file
 * Stores the input of the PUT request
 */
protected $file = Null;

function __construct($request){
//parent::__construct();
//error_reporting(0);
header("Access-Control-Allow-Orgin: *");
header("Access-Control-Allow-Methods: *");
header("Content-Type: application/json");
require("init.php");
require_once("lib/Form_validation.php");
require_once("theme-emails.php");
//include_once('configuration.php');

$this->image_data="";
$this->thumb_data="";
$this->currency_symbol = '£';
$this->is_parameters=true;
//$this->args = explode('/', rtrim($request, '/'));
$this->request_type = $_SERVER['REQUEST_METHOD'];
$this->form_validation = new Form_validation();
/*
$this->form_validation->set_rules('identity', 'identity', 'required');

if (!$this->form_validation->run()){
echo 'herer';
//$this->form_validation->set_error_delimiters('', '');

//form_error('country_code')?$errors[]    = form_error('country_code'): '';
//$code='102';
//$message='Please enter correct information.';
}
else {
echo 'run';
}
print_r($this->form_validation);
die;
*/
switch( $this->request_type ) {
case 'DELETE':
case 'POST':
$this->request = $this->_cleanInputs($_POST);
break;
case 'GET':
$this->request = $this->_cleanInputs($_GET);
break;
case 'PUT':
$this->request = $this->_cleanInputs($_GET);
$this->file = file_get_contents("php://input");
break;
default:
$this->_response('Invalid Method', 405);
break;
}
switch( $request ) {
case 'login':
$this->endpoint = 'login';
$this->args = $this->request;
break;
case 'logout':
$this->endpoint = 'logout';
$this->args = $this->request;
break;
case 'signup':
$this->endpoint = 'signup';
$this->args = $this->request;
break;
case 'getTerminals':
$this->endpoint = 'getTerminals';
$this->args = $this->request;
break;
case 'getFAQs':
$this->endpoint = 'getFAQs';
$this->args = $this->request;
break;
case 'getHowItWorks':
$this->endpoint = 'getHowItWorks';
$this->args = $this->request;
break;
case 'getTermAndConditions':
$this->endpoint = 'getTermAndConditions';
$this->args = $this->request;
break;
case 'getMeetAndGreet':
$this->endpoint = 'getMeetAndGreet';
$this->args = $this->request;
break;
case 'getQuote':
$this->endpoint = 'getQuote';
$this->args = $this->request;
break;
case 'addVehicle':
$this->endpoint = 'addVehicle';
$this->args = $this->request;
break;
case 'getDiscountCodes':
$this->endpoint = 'getDiscountCodes';
$this->args = $this->request;
break;
case 'getProfile':
$this->endpoint = 'getProfile';
$this->args = $this->request;
break;
case 'editProfile':
$this->endpoint = 'editProfile';
$this->args = $this->request;
break;
case 'changePassword':
$this->endpoint = 'changePassword';
$this->args = $this->request;
break;
case 'forgotPassword':
$this->endpoint = 'forgotPassword';
$this->args = $this->request;
break;
case 'getBookingDetail':
$this->endpoint = 'getBookingDetail';
$this->args = $this->request;
break;
case 'paypalResponse':
$this->endpoint = 'paypalResponse';
$this->args = $this->request;
break;
case 'contactUs':
$this->endpoint = 'contactUs';
$this->args = $this->request;
break;
case 'checkUkPostcode':
$this->endpoint = 'checkUkPostcode';
$this->args = $this->request;
break;
case 'insertData':
$this->endpoint = 'insertData';
$this->args = $this->request;
break;
case 'getMyBookings':
$this->endpoint = 'getMyBookings';
$this->args = $this->request;
break;
case 'getGlobals':
$this->endpoint = 'getGlobals';
$this->args = $this->request;
break;
case 'editBooking':
$this->endpoint = 'editBooking';
$this->args = $this->request;
break;
default:
$this->_response('Invalid Method', 405);
break;
}

//echo json_encode( $this->request['service'] );
//print_r($this);
//die;
}

public function index()
{
echo json_encode( array( 'error'=>'Unauthorized access is not allowed') );
}

private function _cleanInputs($data) {
$clean_input = Array();
if (is_array($data)) {
foreach ($data as $k => $v) {
$clean_input[$k] = $this->_cleanInputs($v);
}
} else {
foreach($this->forbidden_charaters as $key => $val){
$data = str_replace($val,"",$data);
}
$clean_input = trim(strip_tags($data));
}
return $clean_input;
}
private function _requestStatus($code) {
$status = array(
200 => 'OK',
201 => 'Invalid request!!! Please contact admin',
202 => 'Login failed',
203 => 'Please enter correct information',
204 => 'Email already exist',
205 => 'You have been logged in successfully',
206 => 'You have been register successfully',
207 => 'Registration failed',
208 => 'Terminals have been retrieved successfully',
209 => 'There is no result available for your request',
210 => 'Please login to proceed',
211 => 'Automatic generated password has been sent to your email',
212 => 'Link has been found successfully',
213 => 'Discount codes have been retrieved successfully',
214 => 'Information has been retrieved successfully',
215 => 'Profile has been updated successfully',
216 => 'Wrong old password',
217 => 'Password has been changed successfully',
218 => 'Your password cannot be sent. The account may not exist or may be of the wrong type',
219 => 'Account activated successfully',
220 => 'Sorry We cannot activate your account',
221 => 'Thank you for your enquiry, we will respond as soon as possible.A copy of your enquiry has been sent to your e-mail address for your reference.',
222 => 'This is a valid uk postcode',
223 => 'This is not a valid uk postcode',
224 => 'You have been logged out successfully',
225 => 'Data has been saved successfully',
226 => 'The %s field require a valid uk postcode',
227 => 'Payment has been paid successfully',
228 => 'Payment has been failed',
229 => 'Booking reference does not exist',
230 => '',
231 => '',

403 => 'Unable to save',
404 => 'Sorry! Page not found',
405 => 'Method Not Allowed',
500 => 'Internal Server Error',
);
return ($status[$code])?$status[$code]:$status[500];
}
private function _response($data, $status = 200) {
header("HTTP/1.1 " . $status . " " . $this->_requestStatus($status));
return json_encode($data);
}
public function processAPI() {
if (method_exists($this, $this->endpoint)) {
return $this->_response( $this->{$this->endpoint}($this->args) );
}
return $this->_response("No Endpoint: $this->endpoint", 404);
}
////////////////////////////////////////////////////////
function login($args)
{
$code='201';
$message=$this->_requestStatus($code);
$errors=array();
$status=false;
$return_res=array();

$this->form_validation->set_rules('identity', 'identity', 'required|valid_email');
$this->form_validation->set_rules('password', 'password', 'required|min_length[8]');
$this->form_validation->set_rules('login_session_ip', 'login_session_ip', 'required');

$this->form_validation->set_message('required', 'The %s field is required');
$this->form_validation->set_message('min_length', 'The %s field must be at least %s characters in length');
$this->form_validation->set_message('valid_email', 'The %s field must contain a valid email address');

if (!$this->form_validation->run()){
$this->form_validation->validation_errors()?$errors        = $this->form_validation->validation_errors(): '';

$code=203;
$message=$this->_requestStatus($code);
$return_res=$errors;
}
else {
$identity=sql_safe( $this->args['identity'] );
$password   =sql_safe( $this->args['password'] );
$login_session_ip   =sql_safe( $this->args['login_session_ip'] );

$sql=mysql_query("select * from logins where login_email='".$identity."' and login_password='".md5($password)."' and login_active=1");

$row=mysql_fetch_array($sql);
if(mysql_affected_rows()>0)
{
/*
$_SESSION['UserId']= $row['login_id'];

$_SESSION['FirstName']=$row['login_name'];

$_SESSION['Email']=$row['login_email'];

$_SESSION['Mobile']=$row['login_mobile'];

$_SESSION['telephone']=$row['login_telephone'];

$objBooking = $_SESSION["BAP_BOOKING"];

$objBooking->UserId=$_SESSION['UserId'];

$objBooking->UserFirstName=$_SESSION['FirstName'];

$objBooking->UserEmail=$_SESSION['Email'];

$objBooking->UserMobile=$_SESSION['Mobile'];

$objBooking->UserTelephone=$_SESSION['telephone'];

$objBooking->step3="complete";


$_SESSION["BAP_BOOKING"]=$objBooking;
*/
$session_id=generateGUID();

$session_id=$session_id.generateGUID();
//print_r($session_id);

mysql_query("update logins set login_lastlogin=NOW(),login_session_ip='".$login_session_ip."',login_session='$session_id' where login_id='".$row['login_id']."'");

$code=200;
$message=$this->_requestStatus(205);
$status=TRUE;
$return_res=array('session'=>(string)$session_id);
}
else
{
//$msg="Login Failed";
$code=202;
$message=$this->_requestStatus($code);
}

}

$response = array();
$response['code'] = $code;
$response['message'] = $message;
//$response['status'] = $status;
$response['result'] = $return_res;
return $response;
}
function logout($args)
{
$code='201';
$message=$this->_requestStatus($code);
$errors=array();
$status=false;
$return_res=array();

$this->form_validation->set_rules('session', 'session', 'required');

$this->form_validation->set_message('required', 'The %s field is required');

if (!$this->form_validation->run()){
$this->form_validation->validation_errors()?$errors        = $this->form_validation->validation_errors(): '';

$code=203;
$message=$this->_requestStatus($code);
$return_res=$errors;
}
else {
$session=sql_safe( $this->args['session'] );
if( $this->isLogin($session) ) {
$res_logout=mysql_query("UPDATE logins SET login_session='' WHERE login_session='$session'");
if(mysql_affected_rows()>0)
{
$code=200;
$message=$this->_requestStatus(224);
$status=TRUE;
//$return_res=array('id'=>(string)$user);
}
else
{
//$msg="Login Failed";
$code=403;
$message=$this->_requestStatus($code);
}
}
else {
$code = '210';
$message = $this->_requestStatus($code);
}
}

$response = array();
$response['code'] = $code;
$response['message'] = $message;
//$response['status'] = $status;
$response['result'] = $return_res;
return $response;
}
function signup($args)
{
$code='201';
$message=$this->_requestStatus($code);
$errors=array();
$status=false;
$return_res=array();

$this->form_validation->set_rules('email', 'email', 'required|trim|valid_email');
$this->form_validation->set_rules('password', 'password', 'required|trim|min_length[8]');
$this->form_validation->set_rules('confirm_password', 'confirm_password', 'required|trim|matches[password]');
$this->form_validation->set_rules('source', 'source', 'required|trim');
$this->form_validation->set_rules('name', 'name', 'required|trim');
$this->form_validation->set_rules('address1', 'address1', 'required|trim');
//$this->form_validation->set_rules('address2', 'address2', 'required');
$this->form_validation->set_rules('city', 'city', 'required|trim');
$this->form_validation->set_rules('county', 'county', 'required|trim');
$this->form_validation->set_rules('post_code', 'post_code', 'required|is_uk_postcode|trim');
$this->form_validation->set_rules('login_session_ip', 'login_session_ip', 'required|trim');

$this->form_validation->set_message('required', 'The %s field is required');
$this->form_validation->set_message('min_length', 'The %s field must be at least %s characters in length');
$this->form_validation->set_message('matches', 'The %s field does not match the %s field');
$this->form_validation->set_message('valid_email', 'The %s field must contain a valid email address');

if( empty($this->args['mobile']) && empty($this->args['telephone']) ){
$this->form_validation->set_rules('telephoneq', 'telephoneq', 'required|trim');
//$this->form_validation->set_rules('mobile', 'mobile', 'required|trim');
$this->form_validation->set_message('required', 'The telephone/mobile field is required');
}

if (!$this->form_validation->run()){
$this->form_validation->validation_errors()?$errors        = $this->form_validation->validation_errors(): '';

$code=203;
$message=$this->_requestStatus($code);
$return_res=$errors;
}
else {
$email=sql_safe( $this->args['email'] );
$password   =sql_safe( $this->args['password'] );
$source   =sql_safe( $this->args['source'] );
$name=sql_safe( $this->args['name'] );
$address1=sql_safe( $this->args['address1'] );
$address2=sql_safe( $this->args['address2'] );
$city=sql_safe( $this->args['city'] );
$county=sql_safe( $this->args['county'] );
$post_code=sql_safe( $this->args['post_code'] );
$mobile=sql_safe( $this->args['mobile'] );
$telephone=sql_safe( $this->args['telephone'] );
$login_session_ip=sql_safe( $this->args['login_session_ip'] );

$sql=mysql_query("SELECT * FROM logins WHERE login_email='".$email."' and login_active=1");
$row=mysql_fetch_array($sql);
if($row)
{
//return array( 'code' => $code ,'message' => 'Email already exist' ,'status' => $status ,'result' => $result );
$code=204;
$message=$this->_requestStatus($code);
}
else {
mysql_query("insert into logins(login_email,login_password,login_active,login_created,login_lastlogin,login_permission,login_session,login_session_ip,login_name,login_source,login_telephone,login_mobile,login_address_1,login_address_2,login_address_city,login_address_county,login_postcode,login_notes,login_subscribed)values('$email','".md5($password)."','1',NOW(),NOW(),'1','','".$login_session_ip."','$name','$source','$telephone','$mobile','$address1','$address2','$city','$county','$post_code','',0)");

$user=mysql_insert_id();
if(mysql_affected_rows()>0)
{
$code=200;
$message=$this->_requestStatus(206);
$status=TRUE;
$return_res=array('id'=>(string)$user);
}
else
{
//$msg="Login Failed";
$code=207;
$message=$this->_requestStatus($code);
}
}
}

$response = array();
$response['code'] = $code;
$response['message'] = $message;
//$response['status'] = $status;
$response['result'] = $return_res;
return $response;
}
function getTerminals($args)
{
$code='201';
$message=$this->_requestStatus($code);
$errors=array();
$status=false;
$return_res=array();

$this->form_validation->set_rules('request', 'request', 'required');
$this->form_validation->set_rules('session', 'session', 'required');

$this->form_validation->set_message('required', 'The %s field is required');

if (!$this->form_validation->run()){
$this->form_validation->validation_errors()?$errors        = $this->form_validation->validation_errors(): '';

$code=203;
$message=$this->_requestStatus($code);
$return_res=$errors;
}
else {
$session=sql_safe( $this->args['session'] );
if( $this->isLogin($session) ) {
$res_terminals=mysql_query("SELECT * FROM gcp_terminals WHERE isActive='1'");
while( $row=mysql_fetch_object($res_terminals) ) {
if( !empty($row) )
{
$terminals[]=$row;
}
}
//$this->debug($terminals,true);
if( !empty($terminals) )
{
$code=200;
$message=$this->_requestStatus(208);
$status=TRUE;
$return_res=array('terminals'=>$terminals);
}
else {
$code=209;
$message=$this->_requestStatus($code);
}
}
else {
$code = '210';
$message = $this->_requestStatus($code);
}
}

$response = array();
$response['code'] = $code;
$response['message'] = $message;
//$response['status'] = $status;
$response['result'] = $return_res;
return $response;
}
function getFAQs($args)
{
$code='201';
$message=$this->_requestStatus($code);
$errors=array();
$status=false;
$return_res=array();

$this->form_validation->set_rules('request', 'request', 'required');

$this->form_validation->set_message('required', 'The %s field is required');

if (!$this->form_validation->run()){
$this->form_validation->validation_errors()?$errors        = $this->form_validation->validation_errors(): '';

$code=203;
$message=$this->_requestStatus($code);
$return_res=$errors;
}
else {
$sql=
mysql_query(
"
SELECT
*
FROM tblpages
WHERE name='faqs'
AND pages_isactive='1'
");
$sql= mysql_query("select * from tblfaqs where  faq_isactive='1' order by faq_id ASC");
$path='';
$message    = '<html><head><meta charset="utf-8"><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /></head><body>';
while( $row=mysql_fetch_array($sql) ) {
$message    .= '<h3 class="h3_bg">'.$row['faq_title'].'</h3>';
$message    .= $row['faq_details'];
}
$message    .= '</body></html>';
if (!is_dir( $path ))
mkdir( $path , 0777, TRUE);
$file = fopen($path.'faqsapp.html',"w");
fwrite($file,$message);
fclose($file);

$return_res = array("FAQs" => $this->baseUrl.$path."faqsapp.html" );;
$code = '200';
$status = true;
$message=$this->_requestStatus(212);
}

$response = array();
$response['code'] = $code;
$response['message'] = $message;
//$response['status'] = $status;
$response['result'] = $return_res;
return $response;
}
function getHowItWorks($args)
{
$code='201';
$message=$this->_requestStatus($code);
$errors=array();
$status=false;
$return_res=array();

$this->form_validation->set_rules('request', 'request', 'required');

$this->form_validation->set_message('required', 'The %s field is required');

if (!$this->form_validation->run()){
$this->form_validation->validation_errors()?$errors        = $this->form_validation->validation_errors(): '';

$code=203;
$message=$this->_requestStatus($code);
$return_res=$errors;
}
else {
$sql=mysql_query("select * from tblpages where name='how-work' and pages_isactive='1'");
$row=mysql_fetch_array($sql);
//$this->debug($row);
if( $row ) {
$path='';
$message    = '<html><head><meta charset="utf-8"><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /></head><body>';
$message    .= $row['pages_detail'];
$message    .= '</body></html>';
//chmod($path, 0777);
//debug($message,true);
if (!is_dir( $path ))
mkdir( $path , 0777, TRUE);
$file = fopen($path.'howitworks_app.html',"w");
fwrite($file,$message);
fclose($file);
//file_put_contents( $path,$message);

$return_res = array("how_it_works" => $this->baseUrl.$path."howitworks_app.html" );;
$code = '200';
$status = true;
$message=$this->_requestStatus(212);

}
else {
$code = '404';
$message=$this->_requestStatus($code);
}
}

$response = array();
$response['code'] = $code;
$response['message'] = $message;
//$response['status'] = $status;
$response['result'] = $return_res;
return $response;
}
function getTermAndConditions($args)
{
$code='201';
$message=$this->_requestStatus($code);
$errors=array();
$status=false;
$return_res=array();

$this->form_validation->set_rules('request', 'request', 'required');

$this->form_validation->set_message('required', 'The %s field is required');

if (!$this->form_validation->run()){
$this->form_validation->validation_errors()?$errors        = $this->form_validation->validation_errors(): '';

$code=203;
$message=$this->_requestStatus($code);
$return_res=$errors;
}
else {
$sql=
mysql_query(
"
SELECT
*
FROM tblpages
WHERE name='terms'
AND pages_isactive='1'
");
$row=mysql_fetch_array($sql);
if( $row ) {
$path='';
$message    = '<html><head><meta charset="utf-8"><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /></head><body>';
$message    .= $row['pages_detail'];
$message    .= '</body></html>';
//chmod($path, 0777);
//debug($message,true);
if (!is_dir( $path ))
//mkdir( $path , 0777, TRUE);
$file = fopen($path.'termandconditions_app.html',"w");
fwrite($file,$message);
fclose($file);
//file_put_contents( $path,$message);

$return_res = array("term_and_conditions" => $this->baseUrl."termandconditions_app.html" );;
$code = '200';
$status = true;
$message=$this->_requestStatus(212);

}
else {
$code = '404';
$message=$this->_requestStatus($code);
}
}

$response = array();
$response['code'] = $code;
$response['message'] = $message;
//$response['status'] = $status;
$response['result'] = $return_res;
return $response;
}
function getMeetAndGreet($args)
{
$code='201';
$message=$this->_requestStatus($code);
$errors=array();
$status=false;
$return_res=array();

$this->form_validation->set_rules('request', 'request', 'required');

$this->form_validation->set_message('required', 'The %s field is required');

if (!$this->form_validation->run()){
$this->form_validation->validation_errors()?$errors        = $this->form_validation->validation_errors(): '';

$code=203;
$message=$this->_requestStatus($code);
$return_res=$errors;
}
else {
$sql=
mysql_query(
"
SELECT
*
FROM tblpages
WHERE name='meetandgreet'
AND pages_isactive='1'
");
$row=mysql_fetch_array($sql);
//$this->debug($row);
if( $row ) {
$path='';
$message    = '<html><head><meta charset="utf-8"><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /></head><body>';
$message    .= $row['pages_detail'];
$message    .= '</body></html>';
//chmod($path, 0777);
//debug($message,true);
if (!is_dir( $path ))
mkdir( $path , 0777, TRUE);
$file = fopen($path.'getMeetAndGreetApp.html',"w");
fwrite($file,$message);
fclose($file);
//file_put_contents( $path,$message);

$return_res = array("meet_and_greet" => $this->baseUrl.$path."getMeetAndGreetApp.html" );;
$code = '200';
$status = true;
$message=$this->_requestStatus(212);

}
else {
$code = '404';
$message=$this->_requestStatus($code);
}
}

$response = array();
$response['code'] = $code;
$response['message'] = $message;
//$response['status'] = $status;
$response['result'] = $return_res;
return $response;
}

function getQuote($args)
{
$code='201';
$message=$this->_requestStatus($code);
$errors=array();
$status=false;
$return_res=array();

$this->form_validation->set_rules('request', 'request', 'required');
//$this->form_validation->set_rules('session', 'session', 'required');
$this->form_validation->set_rules('dropOffDate', 'dropOffDate', 'required');
$this->form_validation->set_rules('dropOffDatehour', 'dropOffDatehour', 'required');
$this->form_validation->set_rules('dropOffDateminute', 'dropOffDateminute', 'required');
$this->form_validation->set_rules('returnDate', 'returnDate', 'required');
$this->form_validation->set_rules('returnhour', 'returnhour', 'required');
$this->form_validation->set_rules('returnminute', 'returnminute', 'required');
$this->form_validation->set_rules('disc_code', 'disc_code', 'trim');

$this->form_validation->set_message('required', 'The %s field is required');

if (!$this->form_validation->run()){
$this->form_validation->validation_errors()?$errors        = $this->form_validation->validation_errors(): '';

$code=203;
$message=$this->_requestStatus($code);
$return_res=$errors;
}
else {
//$session=sql_safe( $this->args['session'] );
$dropOffDate = sql_safe($this->args['dropOffDate']);
$dropOffDatehour = sql_safe($this->args['dropOffDatehour']);
$dropOffDateminute = sql_safe($this->args['dropOffDateminute']);
$returnDate = sql_safe($this->args['returnDate']);
$returnhour = sql_safe($this->args['returnhour']);
$returnminute = sql_safe($this->args['returnminute']);
$promocode = sql_safe($this->args['disc_code']);

$tempfrom = date('Y-m-d', strtotime($dropOffDate));
$tempto = date('Y-m-d', strtotime($returnDate));
$tempfrom = $tempfrom . " " . $dropOffDatehour . ":" . $dropOffDateminute;
$tempto = $tempto . " " . $returnhour . ":" . $returnminute;

$hours_margin = hours_diff($tempfrom . ":00");
$max_capacity_booking = get_options("settings", "concurrent-job-slots");
$short_notice_hours = get_options("settings", "short-notice-hours");
$opentime = get_options("settings", "open-time");
$closetime = get_options("settings", "closed-time");
$current_time = $currenthour . ":" . $currentminute;

$current_time_limit = strtotime($current_time);
$opentime_limit = strtotime($opentime);
$closetime_limit = strtotime($closetime);
//if($current_time_limit>=$opentime_limit && $current_time_limit<=$closetime){
if ($hours_margin >= $short_notice_hours) {
$sql3 = mysql_query("select count(*) from  bookings where DATE_FORMAT(booking_from,'%Y-%m-%d %H:%i')='$tempfrom'  and booking_status='1'");
//echo "select count(*) from  bookings where DATE_FORMAT(booking_from,'%Y-%m-%d %H:%i')='$tempfrom'  and booking_status='1'";
//echo $max_departure;
//exit;
$row3 = mysql_fetch_array($sql3);
$max_departure = $row3['count(*)'];
//echo $sql3;
//echo $max_departure; exit;

$sql4 = mysql_query("select count(*) from  bookings where DATE_FORMAT(booking_to,'%Y-%m-%d %H:%i')='$tempto'  and booking_status='1'");
//echo "select count(*) from  bookings where DATE_FORMAT(booking_to,'%Y-%m-%d %H:%i')='$tempto'  and booking_status='1'";
$row4 = mysql_fetch_array($sql4);
$max_arrival = $row4['count(*)'];
if ($max_departure >= $max_capacity_booking) {
// echo $max_departure; echo $max_capacity_booking;
$dep_limit_exceed = 1;
$error = 1;
}
if ($max_arrival >= $max_capacity_booking) {
$arr_limit_exceed = 1;
$error = 1;
}
} else {
$short_time_limit = 1;
$error = 1;
}
if ($error != 1) {
$currentdate2 = date('Y-m-d');

$objBooking = new Booking();
$objBooking->OutboundTravelDate = mysql_escape_string($dropOffDate);

$objBooking->ReturnDate = mysql_escape_string($returnDate);
$objBooking->OutboundMeetTime = mysql_escape_string($dropOffDatehour) . ":" . mysql_escape_string($dropOffDateminute);

$objBooking->LandingTime = mysql_escape_string($returnhour) . ":" . mysql_escape_string($returnminute);
$objBooking->OutboundTravelDate = date("Y-m-d", strtotime($objBooking->OutboundTravelDate));
$objBooking->ReturnDate = date("Y-m-d", strtotime($objBooking->ReturnDate));

$DAY_DEPART = strtotime($objBooking->OutboundTravelDate . " 23:59");
$DAY_ARRIVE = strtotime($objBooking->ReturnDate . " 23:59");
$NO_OF_DAYS = dateDiff($DAY_DEPART, $DAY_ARRIVE);

if (isset($_SESSION['user_name'])) {
$objBooking->UserId = $_SESSION['UserId'];
$objBooking->UserFirstName = $_SESSION['FirstName'];
$objBooking->UserLastName = $_SESSION['LastName'];
$objBooking->UserEmail = $_SESSION['Email'];
$objBooking->UserMobile = $_SESSION['Mobile'];
}

$objBooking->VechiclePromoCode = mysql_escape_string($promocode);

if ($NO_OF_DAYS > 0) {

$dept_date = doFormatLongDate($dropOffDate);
$objBooking->bookingNoDays = $NO_OF_DAYS;
$rates = GetBookingAmount($NO_OF_DAYS, $objBooking->OutboundTravelDate, $objBooking->VechiclePromoCode);// $myTariffAmount;
if (count($objBooking->VechicleRegistrationNo) == 0) {
$totalvehicls = 1;
} else {
$totalvehicls = count($objBooking->VechicleRegistrationNo);
}

$objBooking->bookingAmount = $rates['total_amount'] * $totalvehicls;
$objBooking->bookingDiscAmt = $rates['discount'];
$objBooking->bookingPlanId = $rates['plan_id'];
$objBooking->grossamount = $rates['gross_amt'];
$objBooking->disctype = $rates['discount_type'];


}
$_SESSION["BAP_BOOKING"] = $objBooking;

$results = array(
'days_booked' => $NO_OF_DAYS . ' days',
'parking' => '£' . sprintf("%1.2f", ($objBooking->grossamount)),
'car_wash' => '£' . sprintf("%1.2f", trim($objBooking->carwash)),
'discount' => '£' . sprintf("%1.2f", $objBooking->bookingDiscAmt),
//'total'=>sprintf("%1.2f",$objBooking->finaltotalamount)
);
if (isset($objBooking->finaltotalamount)) {
$results['total'] = '£' . sprintf("%1.2f", $objBooking->finaltotalamount);
} else {
$results['total'] = '£' . sprintf("%1.2f", $objBooking->bookingAmount);
}
//$this->debug($terminals,true);
$code = 200;
$message = $this->_requestStatus(214);
$status = TRUE;
$return_res = array('charges' => (object)$results);

}
else if($short_time_limit == 1) {
$code = 229;
$message = get_options("messages", "short-notice-error");
$status = FALSE;
} else {
if ($dep_limit_exceed == 1) {
$code = 230;
$message .= get_options("messages", "busy-time-errorfrom");
$status = FALSE;
}
if ($arr_limit_exceed == 1) {
$code = 231;
$message .= get_options("messages", "busy-time-errorto");
$status = FALSE;
}
}
}

$response = array();
$response['code'] = $code;
$response['message'] = $message;
//$response['status'] = $status;
$response['result'] = $return_res;
return $response;
}
function addVehicle($args)
{
$code='201';
$message=$this->_requestStatus($code);
$errors=array();
$status=false;
$return_res=array();

$this->form_validation->set_rules('request', 'request', 'required');
//$this->form_validation->set_rules('session', 'session', 'required');
$this->form_validation->set_rules('parking', 'parking', 'required');
$this->form_validation->set_rules('car_wash', 'car_wash', 'required');
$this->form_validation->set_rules('discount', 'discount', 'required');
$this->form_validation->set_rules('total', 'total', 'required');
$this->form_validation->set_rules('total_vehicle', 'total_vehicle', 'required');

$this->form_validation->set_message('required', 'The %s field is required');

if (!$this->form_validation->run()){
$this->form_validation->validation_errors()?$errors        = $this->form_validation->validation_errors(): '';

$code=203;
$message=$this->_requestStatus($code);
$return_res=$errors;
}
else {
////////////////////////////////////////////////////////
$totalbookingamout=sql_safe($this->args['parking']);
$carwash=sql_safe($this->args['car_wash']);
$discount=sql_safe($this->args['discount']);
$totalamout=sql_safe($this->args['total']);
$total_vehicle=sql_safe($this->args['total_vehicle']);

$grand_total_booking=$totalbookingamout * $total_vehicle;
$grand_total_wash =$carwash * $total_vehicle;
$grand_total_discount=$discount * $total_vehicle;
$grand_total=$totalamout * $total_vehicle;

$results = array(
'parking' => '£' . sprintf("%1.2f", ($grand_total_booking)),
'car_wash' => '£' . sprintf("%1.2f", trim($grand_total_wash)),
'discount' => '£' . sprintf("%1.2f", $grand_total_discount),
'total'=>'£' . sprintf("%1.2f",$grand_total)
);

$code = 200;
$message = $this->_requestStatus(214);
$status = TRUE;
$return_res = array('charges' => (object)$results);
}

$response = array();
$response['code'] = $code;
$response['message'] = $message;
//$response['status'] = $status;
$response['result'] = $return_res;
return $response;
}
function getDiscountCodes($args)
{
$code='201';
$message=$this->_requestStatus($code);
$errors=array();
$status=false;
$return_res=array();

$this->form_validation->set_rules('request', 'request', 'required');
//$this->form_validation->set_rules('session', 'session', 'required');

$this->form_validation->set_message('required', 'The %s field is required');

if (!$this->form_validation->run()){
$this->form_validation->validation_errors()?$errors        = $this->form_validation->validation_errors(): '';

$code=203;
$message=$this->_requestStatus($code);
$return_res=$errors;
}
else {
//$session=sql_safe( $this->args['session'] );
$res_terminals=mysql_query("SELECT * FROM gcp_discount_code ");
while( $row=mysql_fetch_object($res_terminals) ) {
if( !empty($row) )
{
$results[]=$row;
}
}
//$this->debug($terminals,true);
if( !empty($results) )
{
$code=200;
$message=$this->_requestStatus(213);
$status=TRUE;
$return_res=array('discount_codes'=>$results);
}
else {
$code=209;
$message=$this->_requestStatus($code);
}
}

$response = array();
$response['code'] = $code;
$response['message'] = $message;
//$response['status'] = $status;
$response['result'] = $return_res;
return $response;
}
function getProfile($args)
{
$code='201';
$message=$this->_requestStatus($code);
$errors=array();
$status=false;
$return_res=array();

$this->form_validation->set_rules('request', 'request', 'required');
$this->form_validation->set_rules('session', 'session', 'required');

$this->form_validation->set_message('required', 'The %s field is required');

if (!$this->form_validation->run()){
$this->form_validation->validation_errors()?$errors        = $this->form_validation->validation_errors(): '';

$code=203;
$message=$this->_requestStatus($code);
$return_res=$errors;
}
else {
$session=sql_safe( $this->args['session'] );
if( $this->isLogin($session) ) {
$res_terminals=mysql_query("select * from logins where login_session='".$session."' and login_active=1 ORDER BY login_id DESC");
if( $row=mysql_fetch_object($res_terminals) ) {
if( !empty($row) )
{
$results=$row;
}
}
if( !empty($results) )
{
$code=200;
$message=$this->_requestStatus(214);
$status=TRUE;
$return_res=array('detail'=>$results);
}
else {
$code=209;
$message=$this->_requestStatus($code);
}
}
else {
$code = '210';
$message = $this->_requestStatus($code);
}
}

$response = array();
$response['code'] = $code;
$response['message'] = $message;
//$response['status'] = $status;
$response['result'] = $return_res;
return $response;
}
function editProfile($args)
{
$code='201';
$message=$this->_requestStatus($code);
$errors=array();
$status=false;
$return_res=array();

$this->form_validation->set_rules('request', 'request', 'required');
$this->form_validation->set_rules('session', 'session', 'required');
//$this->form_validation->set_rules('email', 'email', 'required|valid_email');
//$this->form_validation->set_rules('password', 'password', 'required');
$this->form_validation->set_rules('source', 'source', 'required');
$this->form_validation->set_rules('name', 'name', 'required');
$this->form_validation->set_rules('address1', 'address1', 'required');
//$this->form_validation->set_rules('address2', 'address2', 'required');
$this->form_validation->set_rules('city', 'city', 'required');
$this->form_validation->set_rules('county', 'county', 'required');
$this->form_validation->set_rules('post_code', 'post_code', 'required|is_uk_postcode');
//$this->form_validation->set_rules('telephone', 'telephone', 'required');
//$this->form_validation->set_rules('mobile', 'mobile', 'required');
$this->form_validation->set_rules('login_session_ip', 'login_session_ip', 'required');

$this->form_validation->set_message('required', 'The %s field is required');
if( empty($this->args['mobile']) && empty($this->args['telephone']) ){
$this->form_validation->set_rules('telephoneq', 'telephoneq', 'required|trim');
//$this->form_validation->set_rules('mobile', 'mobile', 'required|trim');
$this->form_validation->set_message('required', 'The telephone/mobile field is required');
}

if (!$this->form_validation->run()){
$this->form_validation->validation_errors()?$errors        = $this->form_validation->validation_errors(): '';

$code=203;
$message=$this->_requestStatus($code);
$return_res=$errors;
}
else {
$session=sql_safe( $this->args['session'] );
if( $this->isLogin($session) ) {
//$email=sql_safe( $this->args['email'] );
//$password   =sql_safe( $this->args['password'] );
$source   =sql_safe( $this->args['source'] );
$name=sql_safe( $this->args['name'] );
$address1=sql_safe( $this->args['address1'] );
$address2=sql_safe( $this->args['address2'] );
$city=sql_safe( $this->args['city'] );
$county=sql_safe( $this->args['county'] );
$post_code=sql_safe( $this->args['post_code'] );
$mobile=sql_safe( $this->args['mobile'] );
$telephone=sql_safe( $this->args['telephone'] );
$login_session_ip=sql_safe( $this->args['login_session_ip'] );

mysql_query("update logins set login_name='".$name."',login_source='".$source."',login_telephone='".$telephone."',login_mobile='".$mobile."',login_address_1='".$address1."',login_address_2='".$address2."',login_address_city='".$city."',login_address_county='".$county."',login_postcode='".$post_code."' where login_session='".$session."'");

if(mysql_affected_rows()>0)
{
$code=200;
$message=$this->_requestStatus(215);
$status=TRUE;
//$return_res=array('id'=>(string)$user);
}
else
{
//$msg="Login Failed";
$code=403;
$message=$this->_requestStatus($code);
}
}
else {
$code = '210';
$message = $this->_requestStatus($code);
}
}

$response = array();
$response['code'] = $code;
$response['message'] = $message;
//$response['status'] = $status;
$response['result'] = $return_res;
return $response;
}
function changePassword($args)
{
$code='201';
$message=$this->_requestStatus($code);
$errors=array();
$status=false;
$return_res=array();

$this->form_validation->set_rules('request', 'request', 'required');
$this->form_validation->set_rules('session', 'session', 'required');

$this->form_validation->set_rules('password', 'password', 'required|trim|min_length[8]');
$this->form_validation->set_rules('new_password', 'new_password', 'required|trim|min_length[8]');
$this->form_validation->set_rules('confirm_password', 'confirm_password', 'required|trim|matches[new_password]');

$this->form_validation->set_message('required', 'The %s field is required');
$this->form_validation->set_message('min_length', 'The %s field must be at least %s characters in length');
$this->form_validation->set_message('matches', 'The %s field does not match the %s field');

if (!$this->form_validation->run()){
$this->form_validation->validation_errors()?$errors        = $this->form_validation->validation_errors(): '';

$code=203;
$message=$this->_requestStatus($code);
$return_res=$errors;
}
else {
$session=sql_safe( $this->args['session'] );
$password   =sql_safe( $this->args['password'] );
$new_password   =sql_safe( $this->args['new_password'] );
$confirm_password=sql_safe( $this->args['confirm_password'] );

if( $this->isLogin($session) ) {

$sql=mysql_query("SELECT * FROM logins WHERE login_session='".$session."' ");

$row=mysql_fetch_object($sql);

if( $row->login_password != md5($password) ){
$code=216;
$message=$this->_requestStatus($code);
}
else {
mysql_query("update logins set login_password='".md5($new_password)."' where login_session='".$session."'");
if(mysql_affected_rows()>0)
{
$code=200;
$message=$this->_requestStatus(217);
$status=TRUE;
//$return_res=array('id'=>(string)$user);
}
else
{
$code=403;
$message=$this->_requestStatus($code);
}
}
}
else {
$code = '210';
$message = $this->_requestStatus($code);
}
}

$response = array();
$response['code'] = $code;
$response['message'] = $message;
//$response['status'] = $status;
$response['result'] = $return_res;
return $response;
}
function forgotPassword($args)
{
$code='201';
$message=$this->_requestStatus($code);
$errors=array();
$status=false;
$return_res=array();

$this->form_validation->set_rules('request', 'request', 'required');
//$this->form_validation->set_rules('session', 'session', 'required');

$this->form_validation->set_rules('email', 'email', 'required|trim|valid_email');

$this->form_validation->set_message('required', 'The %s field is required');
$this->form_validation->set_message('valid_email', 'The %s field must contain a valid email address');

if (!$this->form_validation->run()){
$this->form_validation->validation_errors()?$errors        = $this->form_validation->validation_errors(): '';

$code=203;
$message=$this->_requestStatus($code);
$return_res=$errors;
}
else {
//$session=sql_safe( $this->args['session'] );
$email   =sql_safe( $this->args['email'] );

$new=generateGUID();
$new_password=md5($new);

$sql=mysql_query("SELECT * FROM logins WHERE login_email='".$email."'");
$row=mysql_fetch_array($sql);
$num=mysql_num_rows($sql);

if($num>0)
{
mysql_query("UPDATE logins SET login_password='$new_password' where login_email='".$email."' and login_active=1");
if( forgot($email,$row['login_name'],$new) ){

}
$code=200;
$message=$this->_requestStatus(211);
$status=TRUE;
$return_res=(object)$return_res;
//$return_res=array('id'=>(string)$user);

}else{
$code=218;
$message=$this->_requestStatus($code);
}
}

$response = array();
$response['code'] = $code;
$response['message'] = $message;
//$response['status'] = $status;
$response['result'] = $return_res;
return $response;
}
function getBookingDetail($args)
{
$code='201';
$message=$this->_requestStatus($code);
$errors=array();
$status=false;
$return_res=array();

$this->form_validation->set_rules('request', 'request', 'required');
$this->form_validation->set_rules('session', 'session', 'required');
$this->form_validation->set_rules('booking_ref', 'booking_ref', 'required');

$this->form_validation->set_message('required', 'The %s field is required');

if (!$this->form_validation->run()){
$this->form_validation->validation_errors()?$errors        = $this->form_validation->validation_errors(): '';

$code=203;
$message=$this->_requestStatus($code);
$return_res=$errors;
}
else {
$session=sql_safe( $this->args['session'] );
$booking_ref=sql_safe( $this->args['booking_ref'] );
if( $this->isLogin($session) ) {

$res_booking=mysql_query("SELECT * FROM bookings INNER JOIN logins ON (login_id = booking_login AND login_session = '$session') WHERE booking_ref = '" .$booking_ref. "'");
if( $row=mysql_fetch_object( $res_booking ) ) {
if( !empty($row) ) {
$vehicle_count=1;
$vehicle_query=mysql_query("select * from tblvehicle where bookingid='".$row->booking_id."'");
while($vehicle_row=mysql_fetch_object($vehicle_query)) {
$vehicles[]= $vehicle_row->booking_vehicle_make." ".$vehicle_row->booking_vehicle_model." ".$vehicle_row->booking_vehicle_color."  (".$vehicle_row->booking_vehicle_reg.")";
$vehicles_edit[]= array( 'id'=>$vehicle_row->vehicle_id ,'make'=>$vehicle_row->booking_vehicle_make,'model'=>$vehicle_row->booking_vehicle_model,'color'=>$vehicle_row->booking_vehicle_color,'reg'=>$vehicle_row->booking_vehicle_reg );
}
$paymentstats=$row->booking_status;
if($paymentstats==0)
{
$status = "Incomplete";
}
if($paymentstats==1)
{
$status = "Payment Success";
}
if($paymentstats==3)
{
$status = "Cancelled";
}
if($paymentstats==4)
{
$status = "Processing";
}
if($paymentstats==5)
{
$status = "Payment Pending";
}
if($paymentstats==6)
{
$status = "Declined";
}
$results=array(
'booking_from'=>date("d/m/Y H:i", strtotime($row->booking_from)),
'booking_to'=>date("d/m/Y H:i", strtotime($row->booking_to)),
'booking_total_days'=>$row->booking_total_days.' days' ,
'booking_level'=>$row->booking_level ,
'booking_flight'=>$row->booking_flight ,
'booking_terminal'=>$row->booking_terminal ,
'booking_terminal_return'=>$row->booking_terminal_return ,
'booking_payable'=>sprintf("%1.2f",$row->booking_payable) ,
'booking_vehicles'=>$vehicles,
'booking_vehicles_edit'=>$vehicles_edit,
'booking_paydata'=>!empty($row->booking_paydata)?$row->booking_paydata:'---',
'booking_status'=>$status,
'booking_created'=>date("d/m/Y H:i", strtotime($row->booking_created)),
'booking_updated'=>date("d/m/Y H:i", strtotime($row->booking_updated))
);
}
}
if( !empty($results) )
{
$code=200;
$message=$this->_requestStatus(214);
$status=TRUE;
$return_res=array('detail'=>$results);
}
else {
$code=209;
$message=$this->_requestStatus($code);
}
}
else {
$code = '210';
$message = $this->_requestStatus($code);
}
}

$response = array();
$response['code'] = $code;
$response['message'] = $message;
//$response['status'] = $status;
$response['result'] = $return_res;
return $response;
}
function paypalResponse($args)
{
$code='201';
$message=$this->_requestStatus($code);
$errors=array();
$status=false;
$return_res=array();

$this->form_validation->set_rules('request', 'request', 'required');
$this->form_validation->set_rules('session', 'session', 'required');
//$this->form_validation->set_rules('mc_gross', 'mc_gross', 'required');
//$this->form_validation->set_rules('invoice', 'invoice', 'required');
$this->form_validation->set_rules('booking_ref', 'booking_ref', 'required');
$this->form_validation->set_rules('payment_status', 'payment_status', 'required');
$this->form_validation->set_rules('transaction_ref', 'transaction_ref', 'required');
//$this->form_validation->set_rules('item_number', 'item_number', 'required');
//$this->form_validation->set_rules('pending_reason', 'pending_reason', 'required');
//$this->form_validation->set_rules('parent_txn_id', 'parent_txn_id', 'required');
//$this->form_validation->set_rules('receiver_email', 'receiver_email', 'required|valid_email');

$this->form_validation->set_message('required', 'The %s field is required');
//$this->form_validation->set_message('valid_email', 'The %s field must contain a valid email address');

if (!$this->form_validation->run()){
$this->form_validation->validation_errors()?$errors        = $this->form_validation->validation_errors(): '';

$code=203;
$message=$this->_requestStatus($code);
$return_res=$errors;
}
else {
$session=sql_safe( $this->args['session'] );
$booking_ref=sql_safe( $this->args['booking_ref'] );
$payment_status=sql_safe( $this->args['payment_status'] );
$transaction_ref=sql_safe( $this->args['transaction_ref'] );
$active =0;
if( $this->isLogin($session) ) {
if($payment_status=='0')
{
//$status = "Incomplete";
}
if( strtolower( $payment_status ) =='approved')
{
//$status = "Payment Success";
$status = 1;
$active = 1;
}
if( strtolower( $payment_status ) =='approved' ){
$ch = curl_init();
//$clientId = "AbY-4tdl8AJ5JIcphmGpIptV0OSp7x6DUuZ2ARS-D-LGXiL3xSvo8zh9bALZNYFkAhIkl0C-iVIX5dGd"; /// Live
//$secret = "EC4GMDmFTFLSlWNIaFXL9ND9XfEvF3OnfyNKIiYnZLANKt7YXwau-Ey4HxO8dpqqe_RSqtsYdyTB0q4j"; /// Live

 $clientId = "AYSAZpk6ULTMH54Jo5zYDzvTe8j5pozE3MOZr2s3qtyJEkyz0dnw4Wq1v55Zw9OByGDFgQNgCeDejtcY";  ///Sand Box
$secret = "u3d6nBV6HvgZRi2vT84KCiD0ThgZElyLKgWSECLFepZM1fXstWWoX4Gbq3fEWfYE4oGgyZ7XtzI7";///Sand Box

///curl_setopt($ch, CURLOPT_URL, 'https://api.sandbox.paypal.com/v1/oauth2/token');// Change it to "https://api.paypal.com/v1/oauth2/token"                for live   sandbox
curl_setopt($ch, CURLOPT_URL, 'https://api.paypal.com/v1/oauth2/token'); ////live
curl_setopt($ch, CURLOPT_HEADER, false);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_USERPWD, $clientId . ":" . $secret);
curl_setopt($ch, CURLOPT_POSTFIELDS, "grant_type=client_credentials");
$result = curl_exec($ch);
$accessToken = null;
if (empty($result))
return 'Access Token could not generated';
else {
$json = json_decode($result);
$accessToken = $json->access_token;
//echo "Access Token Is ";
//echo $accessToken .'<br>';
}
curl_close($ch);

//$transaction = "PAY-2YM72784LA4566317KR7QG4A";
$curl = curl_init('https://api.paypal.com/v1/payments/payment/' . $transaction_ref); ////live
// $curl = curl_init('https://api.sandbox.paypal.com/v1/payments/payment/' . $parent_txn_id); //// Sand box
curl_setopt($curl, CURLOPT_POST, false);
curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($curl, CURLOPT_HEADER, false);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
curl_setopt($curl, CURLOPT_HTTPHEADER, array(
'Authorization: Bearer ' . $accessToken,
'Accept: application/json',
'Content-Type: application/json'
));
$response = curl_exec($curl);
$result = json_decode($response , true);

$txn_id =  $result['transactions'][0]['related_resources'][0]['sale']['id'];
///['total'];///['description'];///['sale']['id'];
$payer_email =  $result['payer']['payer_info']['email'];////[0]['sale']['id'];
$parent_id =  $result['id'];///['payer_info']['email'];////[0]['sale']['id'];


$res=mysql_query("UPDATE bookings SET booking_status='$status', booking_paid=NOW(), booking_payref='$txn_id', booking_paydata='gateway:paypal;', booking_active='$active' WHERE booking_ref='$booking_ref'");
if(mysql_affected_rows()>0)
{
$result = mysql_fetch_object( mysql_query("SELECT
                                bookings.booking_id,
                                bookings.booking_payable
                                FROM
                                bookings
                                WHERE
                                bookings.booking_ref =  '".$booking_ref."' ") );
//$result= $result[0];
$data=array(
"mc_gross"=>$result->booking_payable,
"invoice"=>$result->booking_id,
"payment_status"=>"Completed",
"payer_email"=>"",
"txn_id"=>$txn_id,
"parent_txn_id"=>"",
"receiver_email"=>"",
"pending_reason"=>"",
"item_number"=>$booking_ref,
);
//print_r( $this->curlExec( SITE_URL."bap_ipn.php", $data) );
$this->curlExec( SITE_URL."bap_ipn.php", $data) ;
/////////////////////////
$code=200;
$message=$this->_requestStatus(227);
$status=TRUE;
//$return_res=array('id'=>(string)$user);
$return_res=array('url'=>(string)$this->baseUrl.'payment_success_app.php');
}
else
{
//$msg="Login Failed";
$code=229;
$message=$this->_requestStatus($code);
$return_res=array('url'=>(string)$this->baseUrl.'paymentcancel_app.php');
}
}
else
{
//$msg="Login Failed";
$code=228;
$message=$this->_requestStatus($code);
$return_res=array('url'=>(string)$this->baseUrl.'paymentcancel_app.php');
}
//////////////////////////////////////////////////////////////////////////////
/*
$accountActivation = array();
require("includes/init.php");
include_once "global_variables.php";
include_once "function.php";
include_once("lib/common/mailer.php");
$mailer=new mailer();

$debug = true;
$req = 'cmd=_notify-validate';

$ipnValue= implode ('+', $this->args);


$mc_gross =  $this->args["mc_gross"];  ////total amount
$booking_id = $this->args["invoice"]; ////booking id
$payment_status = $this->args["payment_status"]; //// status
$item_number = $this->args["item_number"];//////refrence Number
$pending_reason = $this->args["pending_reason"];/////
$parent_txn_id = $this->args["parent_txn_id"];/////

/////////////////////////////////////////////////////////////CURL START//////////////////////////////////////////////////////
//Get access token from client Id

$ch = curl_init();
$clientId = "AdgzDRCYu2AIBLgjJSLpoNZg7ORU5RyWNbouFM0K28wxRhHK9_Jjn3m5ZfEV"; /// Live
$secret = "ENHMehB9GgjyGBYj7T3yRkab04myjqYTcBuv3qLzI-Zc30p1zs7FW6KZEm_J"; /// Live

// $clientId = "Ae5pDRD0m9cKGABDxxW7eBL3zPHwYOcR1wndphOr1or2AsQMPUzZgdeuizGE";  ///Sand Box
//$secret = "EAx8lRD37oi7F0itvig5WjT7qSq86QVQrZBjycU5H2uG94HFEJu-42u7wG7O";///Sand Box

///curl_setopt($ch, CURLOPT_URL, 'https://api.sandbox.paypal.com/v1/oauth2/token');// Change it to "https://api.paypal.com/v1/oauth2/token"                for live   sandbox
curl_setopt($ch, CURLOPT_URL, 'https://api.paypal.com/v1/oauth2/token'); ////live
curl_setopt($ch, CURLOPT_HEADER, false);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_USERPWD, $clientId . ":" . $secret);
curl_setopt($ch, CURLOPT_POSTFIELDS, "grant_type=client_credentials");
$result = curl_exec($ch);
$accessToken = null;
if (empty($result))
return 'Access Token could not generated';
else {
$json = json_decode($result);
$accessToken = $json->access_token;
//echo "Access Token Is ";
//echo $accessToken .'<br>';
}
curl_close($ch);

//$transaction = "PAY-2YM72784LA4566317KR7QG4A";
$curl = curl_init('https://api.paypal.com/v1/payments/payment/' . $parent_txn_id); ////live
// $curl = curl_init('https://api.sandbox.paypal.com/v1/payments/payment/' . $parent_txn_id); //// Sand box
curl_setopt($curl, CURLOPT_POST, false);
curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($curl, CURLOPT_HEADER, false);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
curl_setopt($curl, CURLOPT_HTTPHEADER, array(
'Authorization: Bearer ' . $accessToken,
'Accept: application/json',
'Content-Type: application/json'
));
$response = curl_exec($curl);
$result = json_decode($response , true);

$txn_id =  $result['transactions'][0]['related_resources'][0]['sale']['id'];
///['total'];///['description'];///['sale']['id'];
$payer_email =  $result['payer']['payer_info']['email'];////[0]['sale']['id'];
$parent_id =  $result['id'];///['payer_info']['email'];////[0]['sale']['id'];
//echo $txn_id .'<br>';
//echo $payer_email .'<br>';
//echo $parent_txn_id .'<br>';
///echo $mc_gross .'<br>';
///echo $booking_id .'<br>';
///echo $payment_status .'<br>';
//die;
/////////////////////////////////////////////////////////////CURL End//////////////////////////////////////////////////////
///$payer_email = $_POST["payer_email"]; ///// who is paying
///$txn_id = $_POST["txn_id"]; /////Paypal Transaction ID/////17 digit
$receiver_email= $this->args["receiver_email"];////////

if($mc_gross !='' && $booking_id !='' && $txn_id !='' && $payment_status !='')
{
if($payment_status == 'approved')
{
$payment_status = '';
$payment_status .= 'Completed';
}


$result = mysql_query("SELECT totalamount
FROM
tbl_payment
WHERE
totalamount =  '".$mc_gross."' AND
bookingid =  '".$booking_id."'") or die("ERROR!");

$totalrows  = mysql_num_rows($result);

if($totalrows > 0)
{
$updateQuery = "UPDATE tbl_payment SET
paymethod = 'paypal',
paypal_notes = '$ipnValue',
transactionid = '$txn_id',
staus = '$payment_status'
WHERE bookingid = $booking_id ";
mysql_query($updateQuery) or die("ERROR1!");

$updateQuery = "UPDATE tbl_booking SET
status = '1'
WHERE id = $booking_id ";
mysql_query($updateQuery) or die("ERROR2!");


$query=mysql_query("SELECT b.reference_no as referencenum,b.dep_date as departuredate,b.arr_date as arrivaldate,air.name as airport,com.company_name,com.company_email,c.title,
c.first_name,c.last_name,c.contact_number,
vd.make,vd.model,vd.color,vd.registration,t.terminal_name as arrival,
t1.terminal_name as dept,b.arri_flight_no,b.dept_flight_no,p.booking_amount as totalamount
from tbl_booking b
inner join tblairport air on b.airportid=air.id
inner join tblcompanies com on b.companyid=com.company_id
inner join tblcustomer c on b.customerid=c.customerid
inner join tbl_vehicle_detail vd on b.id=vd.bookingId inner join tbl_payment p on b.id=p.bookingid
inner join tbl_terminal t on b.arriv_terminal_id=t.id_terminal
inner join tbl_terminal t1 on b.dep_terminal_id=t1.id_terminal
where b.id='".$booking_id."'");



$records = mysql_fetch_assoc($query);
$msg = $mailer->prepMsg(9,$records);

$departureDate=date("d-m-Y H:i", strtotime( $records['departuredate']));
$arrivaldate=date("d-m-Y H:i", strtotime( $records['arrivaldate']));

$a = array('#dep_date#','#arr_date#');
$b = array($departureDate,$arrivaldate);
$msg=str_replace($a,$b,$msg);
$subject = $mailer->getSubject(9);

$companyEmail=$records['company_email'];
$referenceNumber=$records['referencenum'];

///$subject=$subject." ".$item_number;
$subject=$subject." ".$referenceNumber;
$to=$adminemail.",".$companyEmail;

$mailer->sendEmail($msg,$to,$subject,$fromName,$fromemail,$replyto,"",$bcc);

$query=mysql_query("SELECT b.reference_no as refnumber,b.dep_date as departuredate,b.arr_date as arrivaldate,air.name as airportname,
com.company_name companyname,com.company_email,com.phone companyphone,com.mail_procedure as mail_procedure,c.title,
c.first_name,c.last_name,c.contact_number contact_number,c.email email,
vd.make,vd.model,vd.color,vd.registration,t.terminal_name as arrival,
t1.terminal_name as dept,b.arri_flight_no,b.dept_flight_no,p.totalamount as total,p.remaining_amount
from tbl_booking b
inner join tblairport air on b.airportid=air.id
inner join tblcompanies com on b.companyid=com.company_id
inner join tblcustomer c on b.customerid=c.customerid
inner join tbl_vehicle_detail vd on b.id=vd.bookingId inner join tbl_payment p on b.id=p.bookingid
inner join tbl_terminal t on b.arriv_terminal_id=t.id_terminal
inner join tbl_terminal t1 on b.dep_terminal_id=t1.id_terminal
where b.id='".$booking_id."'");



$records = mysql_fetch_assoc($query);
$msg = $mailer->prepMsg(8,$records);


if($records['remaining_amount']>0)
{
$payment.="<p>Remaining Amount= £".$records['remaining_amount']."</p>";
$payment.="<p>Total Amount= £".$records['total']."</p>";
$payment.="<p>Grand Total= £".($records['remaining_amount']+$records['total'])."<p>";
}
else
{
$payment="<p>Total Amount: £".$records['total']."</p>";
}

$msg=str_replace("#totalamount#",$payment,$msg);


$departureDate=date("d-m-Y H:i", strtotime( $records['departuredate']));
$arrivaldate=date("d-m-Y H:i", strtotime( $records['arrivaldate']));
$a = array('#dep_date#','#arr_date#');
$b = array($departureDate,$arrivaldate);
$msg=str_replace($a,$b,$msg);

$subject = $mailer->getSubject(8);

$customerEmail=$records['email'];
$companyEmail=$records['company_email'];
$referenceNumber=$records['refnumber'];

$subject=$subject." ".$referenceNumber;

$mailer->sendEmail($msg,$customerEmail,$subject,$fromName,$fromemail,$replyto,"",$bcc);
//sendEmail($msg, $mailTo, $subject, $fromName, $fromEmail, $replyto="",$cc,$bcc)

//Send SMS
$mobile_num =$records["contact_number"];
if(substr($records["contact_number"],0,4)=="0044")
{
$mobile_num = $records["contact_number"];
}
if(substr($records["contact_number"],0,1)=="0")
{
$mobile_num = "0044".substr($records["contact_number"],1);
}
if(substr($records["contact_number"],0,2)=="44")
{
$mobile_num = "00".$records["contact_number"];
}
if(substr($records["contact_number"],0,3)=="+44")
{
$mobile_num = "00".substr($records["contact_number"],1);
}

$mobile_num = str_replace(' ', '', $mobile_num);
$msg_text = $records["companyname"]." - Please call us on ".$records["companyphone"]." about 20 minutes before you are due to arrive at ".$records["airportname"]." Airport. Thanks.";

// Textlocal account details

$username = urlencode(MSG_EMAIL);
$hash = urlencode(MSG_HASH_PASSWORD); // Get this when logged in at https://control.txtlocal.co.uk/docs/
$success_counter=0;
$failure_counter=0;

$numbers = urlencode($mobile_num);
$sender =  urlencode('MAP');
$message = urlencode($msg_text);

// Prepare data for POST request
$data = 'username=' . $username . '&hash=' . $hash
. '&numbers=' . $numbers . "&sender=" . $sender . "&message=" . $message;

// Send the GET request with cURL

$ch = curl_init('https://api.txtlocal.com/send/?' . $data);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
curl_close($ch);

// Process your response here
$response=json_decode ($response,true);
if($response['status']=="success")
{
$headers .= 'Content-type: text/html; charset=iso-8859-1' . "\r\n";
$headers .= "From: ".$fromName." <" . strip_tags($fromemail) . ">\r\n";
mail( $bcc,"Message Success ".$mobile_num,"<br/><br/>".$msg_text,$headers);
//$success_counter++;
}
if($response['status']=="failure")
{
$headers .= 'Content-type: text/html; charset=iso-8859-1' . "\r\n";
$headers .= "From: ".$fromName." <" . strip_tags($fromemail) . ">\r\n";
mail( $bcc,"Message Failed ".$mobile_num,"<br/><br/>".$msg_text,$headers);
//$failure_counter++;
}

$accountActivation['success_url'] = 'http://www.bestmeetandgreetheathrow.co.uk/successforapp.php?item_number='.$item_number;
$code=200;
$message=$this->_requestStatus(219);
$status=TRUE;

}
}
else
{

$accountActivation['failure_url'] = 'http://www.bestmeetandgreetheathrow.co.uk/payment_cancel_app.php';

$code=220;
$message=$this->_requestStatus($code);
$status=FALSE;
}
$return_res = array("accountActivation" => $accountActivation);

*/
//////////////////////////////////////////////////////////////////////////////
}
else {
$code = '210';
$message = $this->_requestStatus($code);
}
}

$response = array();
$response['code'] = $code;
$response['message'] = $message;
//$response['status'] = $status;
$response['result'] = $return_res;
return $response;
}
function insertData($args)
{
$code='201';
$message=$this->_requestStatus($code);
$errors=array();
$status=false;
$return_res=array();

$this->form_validation->set_rules('request', 'request', 'required');
$this->form_validation->set_rules('session', 'session', 'required');
$this->form_validation->set_rules('make', 'make', 'required');
$this->form_validation->set_rules('model', 'model', 'required');
$this->form_validation->set_rules('color', 'color', 'required');
$this->form_validation->set_rules('reg', 'reg', 'required');
$this->form_validation->set_rules('totalamout', 'totalamout', 'required');
$this->form_validation->set_rules('totalbookingamout', 'totalbookingamout', 'required');
$this->form_validation->set_rules('carwash', 'carwash', 'required');
$this->form_validation->set_rules('discount', 'discount', 'required');
$this->form_validation->set_rules('terminal', 'terminal', 'required|integer');
$this->form_validation->set_rules('return_terminal', 'return_terminal', 'required|integer');
$this->form_validation->set_rules('arr_flight', 'arr_flight', 'required');

$this->form_validation->set_rules('dropOffDate', 'dropOffDate', 'required');
$this->form_validation->set_rules('dropOffDatehour', 'dropOffDatehour', 'required');
$this->form_validation->set_rules('dropOffDateminute', 'dropOffDateminute', 'required');
$this->form_validation->set_rules('returnDate', 'returnDate', 'required');
$this->form_validation->set_rules('returnhour', 'returnhour', 'required');
$this->form_validation->set_rules('returnminute', 'returnminute', 'required');
$this->form_validation->set_rules('days_booked', 'days_booked', 'required');
$this->form_validation->set_rules('disc_code', 'disc_code', 'trim');

$this->form_validation->set_message('required', 'The %s field is required');
$this->form_validation->set_message('integer', 'The %s field must be an integer');
$this->form_validation->set_message('valid_email', 'The %s field must contain a valid email address');

if (!$this->form_validation->run()){
$this->form_validation->validation_errors()?$errors        = $this->form_validation->validation_errors(): '';

$code=203;
$message=$this->_requestStatus($code);
$return_res=$errors;
}
else {
$session=sql_safe( $this->args['session'] );
if( $this->isLogin($session) ) {

$dropOffDate=sql_safe( $this->args['dropOffDate'] );
$dropOffDatehour=sql_safe( $this->args['dropOffDatehour'] );
$dropOffDateminute=sql_safe( $this->args['dropOffDateminute'] );
$returnDate=sql_safe( $this->args['returnDate'] );
$returnhour=sql_safe( $this->args['returnhour'] );
$returnminute=sql_safe( $this->args['returnminute'] );
$days_booked=sql_safe( $this->args['days_booked'] );
$promocode=sql_safe( $this->args['disc_code'] );

$objBooking =  new Booking();
$objBooking->OutboundTravelDate = mysql_escape_string($dropOffDate);

$objBooking->ReturnDate = mysql_escape_string($returnDate);
$objBooking->OutboundMeetTime =  mysql_escape_string($dropOffDatehour).":".mysql_escape_string($dropOffDateminute);
$days_booked= explode( " ",$days_booked);
$objBooking->bookingNoDays = $days_booked[0];
$objBooking->LandingTime = mysql_escape_string($returnhour).":".mysql_escape_string($returnminute);
$objBooking->OutboundTravelDate =date("Y-m-d",strtotime($objBooking->OutboundTravelDate));
//$this->debug( $objBooking->OutboundTravelDate,true );
$objBooking->ReturnDate = date("Y-m-d",strtotime($objBooking->ReturnDate));
$objBooking->VechiclePromoCode = mysql_escape_string($promocode);
//////////////////////////////////////////////////////////////////////////////
$VechicleMake=$this->args['make'];
$VechicleModel=$this->args['model'];
$VechicleColor=$this->args['color'];
$VechicleRegistrationNo=$this->args['reg'];

$VechicleMake =explode( ',' , $VechicleMake );
$VechicleModel =explode( ',' , $VechicleModel );
$VechicleColor =explode( ',' , $VechicleColor );
$VechicleRegistrationNo =explode( ',' , $VechicleRegistrationNo );


$totalamout=$this->args['totalamout'];
$totalbookingamout=$this->args['totalbookingamout'];
$carwash=$this->args['carwash'];
$discount=$this->args['discount'];

$OutboundTerminalId=sql_safe($this->args['terminal']);
$OutboundReturnTerminalId=sql_safe($this->args['return_terminal']);
$ReturnFlightNumber=sql_safe($this->args['arr_flight']);
//$objBooking = $_SESSION["BAP_BOOKING"];
$objBooking->VechicleMake=$VechicleMake;
$objBooking->VechicleModel=$VechicleModel;
$objBooking->VechicleColor= $VechicleColor;
$objBooking->VechicleRegistrationNo= $VechicleRegistrationNo;

$objBooking->finaltotalamount= $totalamout;
$objBooking->grossamount= $totalbookingamout;
$objBooking->carwash= $carwash;
$objBooking->bookingDiscAmt= $discount;

$objBooking->OutboundTerminalId=$OutboundTerminalId;
$objBooking->ReturnTerminalId=$OutboundReturnTerminalId;
$objBooking->ReturnFlightNumber=$ReturnFlightNumber;

$user_res=mysql_query("select * from logins where login_session='".$session."'");
$user_info=mysql_fetch_array( $user_res );
$objBooking->UserId=$user_info['login_id'];

$_SESSION["BAP_BOOKING"]=$objBooking;

mysql_query("delete from `tbl_temp_vehicle`");

$id_count = count($objBooking->VechicleRegistrationNo); // count array

for($i=0; $i < $id_count; $i++)
{
$registration = sql_safe($objBooking->VechicleRegistrationNo[$i]);
$make = sql_safe($objBooking->VechicleMake[$i]);
$model = sql_safe($objBooking->VechicleModel[$i]);
$color = sql_safe($objBooking->VechicleColor[$i]);
$body = sql_safe($objBooking->Vechiclebody[$i]);


$Vehicle_query="INSERT INTO `tbl_temp_vehicle`
 (`booking_vehicle_color`, `booking_vehicle_make`, `booking_vehicle_model`, `booking_vehicle_body`, `booking_vehicle_reg`) VALUES ('$color','$make','$model','$body','$registration')";

mysql_query($Vehicle_query) or die('vehicle query Error');

}


$dropofftime=date("Y-m-d", strtotime($objBooking->OutboundTravelDate))." ".$objBooking->OutboundMeetTime;
$returntime=date("Y-m-d", strtotime($objBooking->ReturnDate))." ".$objBooking->LandingTime;

$sql1=mysql_query("select * from logins where login_id='".$objBooking->UserId."'");
$row1=mysql_fetch_array($sql1);

//print_r($objBooking);

$refloginname = str_replace(".","",str_replace ("@" ,"", $row1['login_name']));
;

$length_name=(sizeof(explode(" ",$refloginname))-1);
$newname=explode(" ",$refloginname);

$bookingref =date("d").date("m").date("y").mb_strtoupper(substr(trim($newname[$length_name]),0,4));

$row=mysql_fetch_array(mysql_query("select * from gcp_terminals where TerminalId='$objBooking->OutboundTerminalId' "));
$rowReturnTerminal=mysql_fetch_array(mysql_query("select * from gcp_terminals where TerminalId='$objBooking->ReturnTerminalId' "));

$rates = GetBookingAmount($objBooking->bookingNoDays, $objBooking->OutboundTravelDate, $objBooking->VechiclePromoCode);
$objBooking->bookingPlanId=$rates['plan_id'];
mysql_query("INSERT INTO bookings(booking_login,booking_ref,booking_vehicle_color,booking_vehicle_make,booking_vehicle_model,booking_vehicle_reg,booking_from,booking_to,booking_flight,booking_terminal,booking_level,booking_status,booking_quote_datestamp,booking_created,booking_updated,booking_total,booking_voucher_code,booking_voucher_value,booking_payable,booking_paid,booking_payref,booking_paydata,valeting_charges,plan_id,booking_active,booking_total_days,valeting_type,booking_terminal_return)
 VALUES('".$objBooking->UserId."','','','','','','" .$dropofftime."', '" .$returntime."', '".$objBooking->ReturnFlightNumber."', '".$row['Terminal']."', 'Meet and Greet Parking',0,NOW(),NOW(),NOW(), ".$objBooking->grossamount. ", '" .$objBooking->VechiclePromoCode. "', '" .$objBooking->bookingDiscAmt. "', ".number_format($objBooking->finaltotalamount, 2, '.', '').",'','','','".$objBooking->carwash."','".$objBooking->bookingPlanId."',0,'".$objBooking->bookingNoDays."','1','".$rowReturnTerminal['Terminal']."')");

$booking_id=mysql_insert_id();

$id_count = count($objBooking->VechicleRegistrationNo); // count array

for($i=0; $i < $id_count; $i++)
{
$registration = sql_safe($objBooking->VechicleRegistrationNo[$i]);
$make = sql_safe($objBooking->VechicleMake[$i]);
$model = sql_safe($objBooking->VechicleModel[$i]);
$color = sql_safe($objBooking->VechicleColor[$i]);
$body = sql_safe($objBooking->Vechiclebody[$i]);

if($i==($id_count-1))
{
$reg_array .= $registration;
}
else
{
$reg_array .= $registration.", ";
}

$Vehicle_query="INSERT INTO `tblvehicle`
(`bookingid`, `booking_vehicle_color`, `booking_vehicle_make`, `booking_vehicle_model`, `booking_vehicle_body`, `booking_vehicle_reg`) VALUES ('$booking_id','$color','$make','$model','$body','$registration')";

mysql_query($Vehicle_query) or die('vehicle query Error');

}

$reg_array = $i." (".$reg_array.")";
mysql_query("update bookings set no_of_vehicle='$reg_array' where booking_id = '".$booking_id."'");


$bookingref=$bookingref.substr($booking_id, -3)."BM";
$characters = array("'", ",");
$bookingref = str_replace($characters, "", $bookingref );
$bookingref=sql_safe($bookingref);

mysql_query("update bookings set booking_ref='$bookingref' where booking_id='$booking_id'");

$objBooking->reference_no=$bookingref;

$_SESSION["BAP_BOOKING"]=$objBooking;

$code=200;
$message=$this->_requestStatus(225);
$status=TRUE;
$return_res=$bookingref;
//////////////////////////////////////////////////////////////////////////////
}
else {
$code = '210';
$message = $this->_requestStatus($code);
}
}

$response = array();
$response['code'] = $code;
$response['message'] = $message;
//$response['status'] = $status;
$response['result'] = $return_res;
$response['parameters'] = $this->args;
return $response;
}
function contactUs($args)
{
$code='201';
$message=$this->_requestStatus($code);
$errors=array();
$status=false;
$return_res=array();

$this->form_validation->set_rules('request', 'request', 'required');
//$this->form_validation->set_rules('session', 'session', 'required');

$this->form_validation->set_rules('email', 'email', 'required|trim|valid_email');
$this->form_validation->set_rules('fname', 'fname', 'required|trim');
$this->form_validation->set_rules('lname', 'lname', 'required|trim');
$this->form_validation->set_rules('area', 'area', 'required|trim');
$this->form_validation->set_rules('phone', 'phone', 'required|trim');
$this->form_validation->set_rules('reasons', 'reasons', 'required|trim');
$this->form_validation->set_rules('msg', 'msg', 'required|trim');

$this->form_validation->set_message('required', 'The %s field is required');
$this->form_validation->set_message('valid_email', 'The %s field must contain a valid email address');

if (!$this->form_validation->run()){
$this->form_validation->validation_errors()?$errors        = $this->form_validation->validation_errors(): '';

$code=203;
$message=$this->_requestStatus($code);
$return_res=$errors;
}
else {
//$session=sql_safe( $this->args['session'] );
$email   =sql_safe( $this->args['email'] );
$fname   =sql_safe( $this->args['fname'] );
$lname   =sql_safe( $this->args['lname'] );
$area   =sql_safe( $this->args['area'] );
$phone   =sql_safe( $this->args['phone'] );
$reasons   =sql_safe( $this->args['reasons'] );
$msg   =sql_safe( $this->args['msg'] );

$dbmsg=get_options("messages","enquiry-formemailmessage");
contact_admin( $fname,$lname,$email,$area."-".$phone,$reasons,$msg );
contact_customer( $fname,$lname,$email,$phone,$reasons,$msg,$dbmsg);

$code=200;
$message=$this->_requestStatus(221);
$status=TRUE;
}

$response = array();
$response['code'] = $code;
$response['message'] = $message;
//$response['status'] = $status;
$response['result'] = $return_res;
return $response;
}
function checkUkPostcode($args)
{
$code='201';
$message=$this->_requestStatus($code);
$errors=array();
$status=false;
$return_res=array();

$this->form_validation->set_rules('request', 'request', 'required');
//$this->form_validation->set_rules('session', 'session', 'required');
$this->form_validation->set_rules('postcode', 'postcode', 'required|trim');

$this->form_validation->set_message('required', 'The %s field is required');

if (!$this->form_validation->run()){
$this->form_validation->validation_errors()?$errors        = $this->form_validation->validation_errors(): '';

$code=203;
$message=$this->_requestStatus($code);
$return_res=$errors;
}
else {
//$session=sql_safe( $this->args['session'] );
$postcode   =sql_safe( $this->args['postcode'] );

if( 'valid' == $this->check_uk_postcode( $postcode ) ){
$code=200;
$message=$this->_requestStatus(222);
$status=TRUE;
}
else {
$code=223;
$message=$this->_requestStatus($code);
$status=TRUE;
}

}

$response = array();
$response['code'] = $code;
$response['message'] = $message;
//$response['status'] = $status;
$response['result'] = $return_res;
return $response;
}
function getMyBookings($args)
{
$code='201';
$message=$this->_requestStatus($code);
$errors=array();
$status=false;
$return_res=array();

$this->form_validation->set_rules('request', 'request', 'required');
$this->form_validation->set_rules('session', 'session', 'required');
//$this->form_validation->set_rules('booking_ref', 'booking_ref', 'required');

$this->form_validation->set_message('required', 'The %s field is required');

if (!$this->form_validation->run()){
$this->form_validation->validation_errors()?$errors        = $this->form_validation->validation_errors(): '';

$code=203;
$message=$this->_requestStatus($code);
$return_res=$errors;
}
else {
$session=sql_safe( $this->args['session'] );
$booking_ref=sql_safe( $this->args['booking_ref'] );
if( $this->isLogin($session) ) {


$hour_restricted=get_options("settings","minimum-notice-required-for-booking-changes");
//echo $hour_restricted;
//exit;
///////////////////////////////////////////////////////////////////////
$res_booking=mysql_query("SELECT *,UNIX_TIMESTAMP(NOW() + INTERVAL $hour_restricted HOUR) AS current_stamp,UNIX_TIMESTAMP(booking_from) as dept_date_stamp FROM bookings INNER JOIN logins ON (login_id = booking_login ) WHERE login_session = '".$session."' ORDER BY booking_created DESC");
//$count=1;
///////////////////////////////////////////////////////////////////////

//$res_booking=mysql_query("SELECT * FROM bookings INNER JOIN logins ON (login_id = booking_login ) WHERE login_session = '".$session."'");
while( $row=mysql_fetch_object( $res_booking ) ) {
if( !empty($row) ) {
$vehicle_count=1;
$vehicle_query=mysql_query("select * from tblvehicle where bookingid='".$row->booking_id."'");
while($vehicle_row=mysql_fetch_object($vehicle_query)) {
$vehicles[]= $vehicle_row->booking_vehicle_make." ".$vehicle_row->booking_vehicle_model." ".$vehicle_row->booking_vehicle_color."  (".$vehicle_row->booking_vehicle_reg.")";
}
$editable = 'no';
if( $row->dept_date_stamp > $row->current_stamp ) {
$editable = 'yes';
}
$results[]=array(
'booking_ref'=>$row->booking_ref ,
'booking_from'=>date("d/m/Y H:i", strtotime($row->booking_from)),
'booking_to'=>date("d/m/Y H:i", strtotime($row->booking_to)),
'booking_total_days'=>$row->booking_total_days ,
'booking_level'=>$row->booking_level ,
'booking_flight'=>$row->booking_flight ,
'booking_terminal'=>$row->booking_terminal ,
'booking_terminal_return'=>$row->booking_terminal_return ,
'booking_payable'=>sprintf("%1.2f",$row->booking_payable) ,
//'booking_vehicles'=>$vehicles
'booking_vehicles'=>$row->no_of_vehicle,
'booking_editable'=>$editable,
'booking_created'=>date("d/m/Y H:i", strtotime($row->booking_created)),
'booking_updated'=>date("d/m/Y H:i", strtotime($row->booking_updated))
);
}
}
if( !empty($results) )
{
$code=200;
$message=$this->_requestStatus(214);
$status=TRUE;
$return_res=array('detail'=>$results);
}
else {
$code=209;
$message=$this->_requestStatus($code);
}
}
else {
$code = '210';
$message = $this->_requestStatus($code);
}
}

$response = array();
$response['code'] = $code;
$response['message'] = $message;
//$response['status'] = $status;
$response['result'] = $return_res;
return $response;
}
function getGlobals($args)
{
$code='201';
$message=$this->_requestStatus($code);
$errors=array();
$status=false;
$return_res=array();

$this->form_validation->set_rules('request', 'request', 'required');
//$this->form_validation->set_rules('session', 'session', 'required');

$this->form_validation->set_message('required', 'The %s field is required');

if (!$this->form_validation->run()){
$this->form_validation->validation_errors()?$errors        = $this->form_validation->validation_errors(): '';

$code=203;
$message=$this->_requestStatus($code);
$return_res=$errors;
}
else {
//$session=sql_safe( $this->args['session'] );
//if( $this->isLogin($session) ) {
$results=array(
'address'=>'49 Station Rd, Polegate, East Sussex BN26 6EA, UK',
'latitude'=>'50.822477',
'longitude'=>'0.249039',
'company'=>'Best Meet and Greet Heathrow Ltd',
'telephone'=>'0203 289 5677',
'office_hours'=>'0203 289 5677',
'all_other_times'=>'0203 289 5677',
'email'=>'info@bestmeetandgreetheathrow.co.uk',
'registration_no'=>'',
);
if( !empty($results) )
{
$code=200;
$message=$this->_requestStatus(214);
$status=TRUE;
$return_res=array('detail'=>$results);
}
else {
$code=209;
$message=$this->_requestStatus($code);
}
//}
//else {
//$code = '210';
//$message = $this->_requestStatus($code);
//}
}

$response = array();
$response['code'] = $code;
$response['message'] = $message;
//$response['status'] = $status;
$response['result'] = $return_res;
return $response;
}
function editBooking($args)
{
$code='201';
$message=$this->_requestStatus($code);
$errors=array();
$status=false;
$return_res=array();

$this->form_validation->set_rules('request', 'request', 'required');
$this->form_validation->set_rules('session', 'session', 'required');
$this->form_validation->set_rules('booking_ref', 'booking_ref', 'required');
$this->form_validation->set_rules('make', 'make', 'required');
$this->form_validation->set_rules('model', 'model', 'required');
$this->form_validation->set_rules('color', 'color', 'required');
$this->form_validation->set_rules('reg', 'reg', 'required');
$this->form_validation->set_rules('id', 'id', 'required');
$this->form_validation->set_rules('terminal', 'terminal', 'required|integer');
$this->form_validation->set_rules('return_terminal', 'return_terminal', 'required|integer');
$this->form_validation->set_rules('arr_flight', 'arr_flight', 'required');

$this->form_validation->set_message('required', 'The %s field is required');
$this->form_validation->set_message('integer', 'The %s field must be an integer');

if (!$this->form_validation->run()){
$this->form_validation->validation_errors()?$errors        = $this->form_validation->validation_errors(): '';

$code=203;
$message=$this->_requestStatus($code);
$return_res=$errors;
}
else {
$session=sql_safe( $this->args['session'] );
if( $this->isLogin($session) ) {
//////////////////////////////////////////////////////////////////////////////
$booking_ref=sql_safe( $this->args['booking_ref'] );
$vehicle_make=sql_safe( $this->args['make'] );
$vehicle_model=sql_safe( $this->args['model'] );
$vehicle_color=sql_safe( $this->args['color'] );
$vehicle_reg=sql_safe( $this->args['reg'] );
$vehicle_ids=sql_safe( $this->args['id'] );
//$this->debug($vehicle_ids);
$terminal=sql_safe($this->args['terminal']);
$returnTerminal=sql_safe($this->args['return_terminal']);
$arr_flight=sql_safe($this->args['arr_flight']);

//$booking_info=mysql_fetch_object(mysql_query("select * from bookings where booking_ref='$booking_ref'"));

$res_terminal=mysql_fetch_object( mysql_query("SELECT * FROM gcp_terminals WHERE TerminalId='$terminal' AND isActive='1'") );
$terminal = $res_terminal->Terminal;
$res_return_terminal=mysql_fetch_object( mysql_query("SELECT * FROM gcp_terminals WHERE TerminalId='$returnTerminal' AND isActive='1'") );
$returnTerminal = $res_return_terminal->Terminal;

mysql_query("update bookings set  booking_vehicle_color='',booking_vehicle_make='',booking_vehicle_model='',booking_vehicle_reg='', booking_flight='".$arr_flight."' ,booking_terminal='".$terminal."',booking_terminal_return='".$returnTerminal."' where booking_ref='$booking_ref'");

$vehicle_make =explode( ',' , $vehicle_make );
$vehicle_model =explode( ',' , $vehicle_model );
$vehicle_color =explode( ',' , $vehicle_color );
$vehicle_reg =explode( ',' , $vehicle_reg );
$vehicle_ids =explode( ',' , $vehicle_ids );

//$this->debug($vehicle_ids);
$id_count = count( $vehicle_ids ); // count array
for($i=0; $i < $id_count; $i++)
{
$registration =sql_safe($vehicle_reg[$i]);
$make =sql_safe($vehicle_make[$i]);
$model =sql_safe($vehicle_model[$i]);
$color =sql_safe($vehicle_color[$i]);
$body =sql_safe( '' );
$vehicle_id =sql_safe($vehicle_ids[$i]);

if($i==($id_count-1))
{
$reg_array .= $registration;
}
else
{
$reg_array .= $registration.", ";
}

$Vehicle_query="
update `tblvehicle`
set
`booking_vehicle_color` = '$color',
`booking_vehicle_make` = '$make',
`booking_vehicle_model` = '$model',
`booking_vehicle_body` = '$body',
`booking_vehicle_reg` = '$registration'
where vehicle_id = '".$vehicle_id."'";
mysql_query($Vehicle_query) or die('vehicle query Error');
}
$reg_array = $id_count." (".$reg_array.")";
mysql_query("update bookings set no_of_vehicle='$reg_array' where booking_ref = '".$booking_ref."'");

$sql2=mysql_fetch_array(mysql_query("SELECT * FROM bookings INNER JOIN logins ON login_id = booking_login where booking_ref='$booking_ref'"));

$subject="Booking ".$sql2["booking_ref"]." has been updated";
$emailbody = "";
$emailbody .= "<table border=\"0\"><tr><td valign=\"top\">";
$emailbody .= "<table>";
$emailbody .= "<tr>";
$emailbody .= "<td>Booking ".$sql2["booking_ref"]." has been updated</td>";
$emailbody .= "</tr>";
$emailbody .= "<tr>";
$emailbody .= "<td>Click here to view the booking online</td>";
$emailbody .= "</tr>";
$emailbody .= "<tr>";
$emailbody .= "<td><a href=\"".SITE_URL."admin/booking_detail.php?id=".$sql2["booking_ref"]."\" target=\"_blank\" >".SITE_URL."admin/booking_detail.php?id=".$sql2["booking_ref"]."</a></td>";
$emailbody .= "</tr>";
$emailbody .= "<tr>";
$emailbody .= "<td>No action is required. This is just for your information.
</td>";
$emailbody .= "</tr>";
$emailbody .= "</table>";
$emailbody .= "</tr></td></table>";

booking_email(COMPANY_EMAIL_ACCOUNT,$subject,"","",$emailbody);

$booking_confirmation_subject=get_options("messages","booking-update-email-subject");
$email_start=get_options("messages","booking-confirmation-email-start");
$email_end=get_options("messages","booking-confirmation-email-end");

$emailbody2 = "";
$emailbody2 .= "<table border=\"0\"><tr><td valign=\"top\"><p><strong>Booking Summary</strong></p>";
$emailbody2 .= "<table>";
$emailbody2 .= "<tr>";
$emailbody2 .= "<th align=\"right\">Vehicle Pickup Date/Time:</th>";
$emailbody2 .= "<td>" .date("d-m-Y H:i", strtotime($sql2["booking_from"])) ."</td>";
$emailbody2 .= "</tr>";
$emailbody2 .= "<tr>";
$emailbody2 .= "<th align=\"right\">Arrival Date/Time:</th>";
$emailbody2 .= "<td>". date("d-m-Y H:i", strtotime($sql2["booking_to"])) ."</td>";
$emailbody2 .= "</tr>";

$from = date("Y-m-d",strtotime($sql2['booking_from']));
$to = date("Y-m-d",strtotime($sql2['booking_to']));
$DAY_DEPART = strtotime($from." 23:59");
$DAY_ARRIVE = strtotime($to." 23:59");

$datediff=dateDiff($DAY_DEPART,$DAY_ARRIVE);

$emailbody2 .= "<tr>";
$emailbody2 .= "<th align=\"right\">Total Days:</th>";
$emailbody2 .= "<td>".$datediff."</td>";
$emailbody2 .= "</tr>";
$emailbody2 .= "<tr>";
$emailbody2 .= "<th align=\"right\">Service Level:</th>";
$emailbody2 .= "<td>" .$sql2["booking_level"] ."</td>";
$emailbody2 .= "</tr>";
$emailbody2 .= "<tr>";
$emailbody2 .= "<th align=\"right\">Return Flight No:</th>";
$emailbody2 .= "<td>" .$sql2["booking_flight"] . "</td>";
$emailbody2 .= "</tr>";
$emailbody2 .= "<tr>";
$emailbody2 .= "<th align=\"right\">Terminal:</th>";
$emailbody2 .= "<td>" .$sql2["booking_terminal"] . "</td>";
$emailbody2 .= "</tr>";

$vehicle_count=1;
$vehicle_query=mysql_query("select * from tblvehicle where bookingid='".$sql2['booking_id']."'");
while($vehicle_row=mysql_fetch_array($vehicle_query))
{
$emailbody2 .= "<tr>";
$emailbody2 .= "<th align=\"right\">Vehicle # ".$vehicle_count.":</th>";
$emailbody2 .= "<td>"  .$vehicle_row["booking_vehicle_make"] ." ". $vehicle_row["booking_vehicle_model"] ." ". $vehicle_row["booking_vehicle_color"] ." (". $vehicle_row["booking_vehicle_reg"] . ")"."</td>";
$emailbody2 .= "</tr>";
$vehicle_count++;
}
$emailbody2 .= "</table>";
$emailbody2 .= "</td><td valign=\"top\"><p><strong>Payment Details</strong></p>";
$emailbody2 .= "<table>";
$emailbody2 .= "<tr>";
$emailbody2 .= "<th align=\"right\">Booking Reference:</th>";
$emailbody2 .= "<td>". $sql2["booking_ref"]. "</td>";
$emailbody2 .= "</tr>";
if($sql2["booking_voucher_code"]!= ""){
$emailbody2 .= "<tr>";
$emailbody2 .= "<th align=\"right\">Quoted price:</th>";
$emailbody2 .= "<td>&pound;". sprintf("%1.2f",$sql2["booking_total"]). "</td>";
$emailbody2 .= "</tr>";
$emailbody2 .= "<tr>";
$emailbody2 .= "<th align=\"right\">Voucher:</th>";
$emailbody2 .= "<td>". $sql2["booking_voucher_code"]. "</td>";
$emailbody2 .= "</tr>";
$emailbody2 .= "<tr>";
$emailbody2 .= "<th align=\"right\">Voucher Value:</th>";
$emailbody2 .= "<td>&pound;". sprintf("%1.2f",$sql2["booking_voucher_value"])."</td>";
$emailbody2 .= "</tr>";
}
$emailbody2 .= "<tr class=\"maindetail\">";
$emailbody2 .= "<th align=\"right\">Total:</th>";
$emailbody2 .= "<td>&pound;". sprintf("%1.2f",$sql2["booking_payable"])."</td>";
$emailbody2 .= "</tr>";
$emailbody2 .= "<tr class=\"maindetail\">";
$emailbody2 .= "<th align=\"right\">Payment Method:</th>";
if($sql2["booking_paydata"]=='gateway:paypal;')
{
$payment_method = "paypal";
}
else
{
$payment_method = "Credit Card";
}
$emailbody2 .= "<td>". $payment_method."</td>";
$emailbody2 .= "</tr>";
$emailbody2 .= "<tr class=\"maindetail\">";
$emailbody2 .= "<th align=\"right\">Payment Result:</th>";
$emailbody2 .= "<td>".booking_status($sql2["booking_status"])."</td>";
$emailbody2 .= "</tr>";
$emailbody2 .= "</table>";
$emailbody2 .= "</tr></td></table>";

booking_email($sql2["login_email"],$booking_confirmation_subject,$email_start,$email_end,$emailbody2);

$code=200;
$message=$subject;
$status=TRUE;
$return_res=$booking_ref;
//////////////////////////////////////////////////////////////////////////////
}
else {
$code = '210';
$message = $this->_requestStatus($code);
}
}

$response = array();
$response['code'] = $code;
$response['message'] = $message;
//$response['status'] = $status;
$response['result'] = $return_res;
return $response;
}
////////////////////////////////////////////////////////
////////////////////////////////////////////////////////
////////////////////////////////////////////////////////
public function isLogin( $data ){
$result = false;
if( $data )
{
$is_login=mysql_query("select * from logins where login_session='".$data."' and login_active=1");
$row=mysql_fetch_object($is_login);
if(!empty($row))
{
$result = $row;
}
}
return $result;
}
public function debug($data,$exit=false)
{
if(is_object($data) || is_array($data))
{
echo "<pre>";
print_r($data);
echo "</pre><br>";
}
else
echo $data.'<br>';
if($exit)
exit;
}
public function check_uk_postcode($string)
{
// Start config
$valid_return_value = 'valid';
$invalid_return_value = 'invalid';

$exceptions = array('BS981TL','BX11LT','BX21LB','BX32BB','BX55AT','CF101BH','CF991NA','DE993GG','DH981BT','DH991NS','E161XL','E202AQ','E202BB','E202ST','E203BS','E203EL','E203ET','E203HB','E203HY','E981SN','E981ST','E981TT','EC2N2DB','EC4Y0HQ','EH991SP','G581SB','GIR0AA','IV212LR','L304GB','LS981FD','N19GU','N811ER','NG801EH','NG801LH','NG801RH','NG801TH','SE18UJ','SN381NW','SW1A0AA','SW1A0PW','SW1A1AA','SW1A2AA','SW1P3EU','SW1W0DT','TW89GS','W1A1AA','W1D4FA','W1N4DJ');
// Add Overseas territories ?
array_push($exceptions, 'AI-2640', 'ASCN1ZZ', 'STHL1ZZ', 'TDCU1ZZ', 'BBND1ZZ', 'BIQQ1ZZ', 'FIQQ1ZZ', 'GX111AA', 'PCRN1ZZ', 'SIQQ1ZZ', 'TKCA1ZZ');
// End config
$string = strtoupper(preg_replace('/\s/', '', $string)); // Remove the spaces and convert to uppercase.
$exceptions = array_flip($exceptions);
if(isset($exceptions[$string]))
{
return $valid_return_value;
} // Check for valid exception
$length = strlen($string);
if($length < 5 || $length > 7)
{
return $invalid_return_value;
} // Check for invalid length
$letters = array_flip(range('A', 'Z')); // An array of letters as keys
$numbers = array_flip(range(0, 9)); // An array of numbers as keys
switch($length)
{
case 7:
if(!isset($letters[$string[0]], $letters[$string[1]], $numbers[$string[2]], $numbers[$string[4]], $letters[$string[5]], $letters[$string[6]]))
{
break;
}
if(isset($letters[$string[3]]) || isset($numbers[$string[3]]))
{
return $valid_return_value;
}
break;
case 6:
if(!isset($letters[$string[0]], $numbers[$string[3]], $letters[$string[4]], $letters[$string[5]]))
{
break;
}
if(isset($letters[$string[1]], $numbers[$string[2]]) || isset($numbers[$string[1]], $letters[$string[2]]) || isset($numbers[$string[1]], $numbers[$string[2]]))
{
return $valid_return_value;
}
break;
case 5:
if(isset($letters[$string[0]], $numbers[$string[1]], $numbers[$string[2]], $letters[$string[3]], $letters[$string[4]]))
{
return $valid_return_value;
}
break;
}
return $invalid_return_value;
}
public function curlExec($url,$args)
{
$args = (object)$args;
$post='r=1&';
foreach( $args as $key=>$val ) {
//print_r( $key );
//echo '=======';
//print_r( $val );
//echo '<br>';
$post .= '&'.$key.'='.$val;
}
//echo $post;
//exit;
ini_set('max_execution_time', 300);
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL,$url);
curl_setopt($ch, CURLOPT_POST, 1);
curl_setopt($ch, CURLOPT_POSTFIELDS,$post);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_TIMEOUT, 300);
$getResult = curl_exec ($ch);
curl_close ($ch);
$getResult  = json_decode( $getResult, true );
return $getResult;
}
}
?>