<?php 

class Database
{
	private $dbHost;
    private $dbUser;
    private $dbPass;
    private $dbName;
    public $connection;

	public $result;
	public $row;
	public $currentPage=1,$pageSize=5,$noOfPages=0,$noOfRecords=0,$pointer=0,$count=0;
	public $scroll=1,$noOfScrolls=0,$scrollSize=10;
	public $url="";
	public $isRecordFound=false;
	/////////////////////////////CONSTRUCTOR FOR CONNECTION///////////////////////////////	
	function __construct()
	{
		$this->dbHost = "localhost";
        $this->dbUser = "mobitair_besth";
        $this->dbPass = "mobit1234!@";
        $this->dbName = "mobitair_bestheathrow";
		
		//$this->connection = @mysqli_pconnect("localhost","smartair","wasim1234!@987");

		// Create connection
			//$conn = mysqli_connect("localhost", "root", "", "bestmeetluton");
			$this->connection = mysqli_connect($this->dbHost, $this->dbUser, $this->dbPass, $this->dbName);
			// Check connection
			if (!$this->connection) {
			    die("Connection failed: " . mysqli_connect_error());
			}
	}
	//////////////////////////////////////IS RECORD FOUND///////////////////////////////	
	function isRecordFound()
	{
		return $this->isRecordFound;
	}
	/////////////////////////////SELECT RECORDS FROM DATABASE/////////////////////////////////	
	function executeQuery($conn,$sqlquery)
	{
		$this->result = mysqli_query($conn,$sqlquery);
		if (!$this->result){
			echo "<font class=\"error\">We are sorry, as we cannot process your request at this time. Please try again later or contact our <a href=\"".$GLOBALS["URL"]."contactus.php\">Customer Service</a></font>".mysqli_error();
	        user_error("Could not successfully run query ($sqlquery) from DB: " . mysqli_error());
			exit;
	    }
		$this->isRecordFound = mysqli_fetch_array($this->result) ? true: false;
		if($this->isRecordFound)
			mysqli_data_seek($this->result,0);
	}
	/////////////////////////////UPDATE RECORDS IN DATABASE/////////////////////////////////	
	function executeUpdate($conn,$sqlquery)
	{
		$res = mysqli_query($conn,$sqlquery);
		if ($res == 0) {
			echo "<font class=\"error\">We are sorry, as we cannot process your request at this time. Please try again later or contact our <a href=\"".$GLOBALS["URL"]."contactus.php\">Customer Service</a></font>".mysqli_error();
    	    user_error("Could not successfully run query ($sqlquery) from DB: " . mysqli_error());
			exit;
		}
		return mysqli_affected_rows($conn);
	}
	

	////////////////////////////Get the Last inserted Auto incremented field Id /////////////////
	function getInsertedId()
	{
		return mysqli_insert_id($this->connection);
	}
	/////////////////////////////MOVE POINTER TO NEXT RECORD///////////////////////////////	
	function getNextRecord()
	{
		return $this->row = mysqli_fetch_array($this->result);
	}
	/////////////////////////////////////GET COLUMN////////////////////////////////////////	
	function getColumn($col)
	{
		return $this->row[$col];
	}
	/////////////////////////////////////GET Int COLUMN////////////////////////////////////////
	function getIntColumn($col)
	{
		return (int) $this->row[$col];
	}
	/////////////////////////////////////GET ROUND COLUMN////////////////////////////////////////
	function getRoundColumn($col, $precision=2)
	{
		return number_format($this->row[$col], $precision,".",",");
	}
	/////////////////////////////////////SET PAGE SIZE////////////////////////////////////
	function setScrollSize($scrollSize)
	{
		$this->scrollSize=$scrollSize;
	}
	/////////////////////////////////////SET PAGE SIZE////////////////////////////////////
	
	function setPageSize($conn)
	{
	$row=mysqli_fetch_array(mysqli_query($conn,"SELECT meta_value
FROM site_options
WHERE meta_slug =  'admin-list-length'
AND meta_key =  'settings'"));	
return	$row['meta_value'];	
		
	
		
		
	}
	
	////////////////////////////////////SET URL FOR PAGING /////////////////////////////////
	function setURL($url,$currentPage,$conn)
	{
		$this->currentPage= (is_null($currentPage) || trim($currentPage) == "" )? 1 : (int)$currentPage;
		$this->url=$url;
		$this->resetRecords($conn);
	}
	/////////////////////////////////////GET PAGES LINKS////////////////////////////////////
	function getPagesLinks($paramstr)
	{
		$page = "";
		for($i=($this->scroll*$this->scrollSize)-($this->scrollSize-1);($i<=$this->scroll*$this->scrollSize) && ($i<=$this->noOfPages);$i++)
			$page=($this->currentPage==$i?($page."<li class=\"current\">" . $i . "</li>") : ($page."<li><a href=" . $this->url .  (strpos($this->url,"?")!==false?"&":"?")  ."p=" . $i.$paramstr.">" . $i."</a></li>"));
		return $page;
	}
	///////////////////////////////////// GET NEXT SCROLL LINK ////////////////////////////////////
	function getNextLink($st,$paramstr)
	{
		return $this->noOfScrolls > $this->scroll ? "<li class=\"previous\"><a href=" . $this->url . (strpos($this->url,"?")!==false?"&":"?") . "p=" . ((($this->scroll+1)*$this->scrollSize)-($this->scrollSize-1)) .$paramstr. ">" . $st . "</a></li>":"";
	}
	///////////////////////////////////// GET BACK SCROLL LINK ////////////////////////////////////
	function getBackLink($st,$paramstr)
	{
		return $this->scroll > 1?"<li class=\"next\"><a href=" . $this->url . (strpos($this->url,"?")!==false?"&":"?") . "p=" . ((($this->scroll-1)*$this->scrollSize)-($this->scrollSize-1)) .$paramstr. ">" . $st . "</a></li>":"";
	}
	//get current record no
	function getRecordNo()
	{
//		return $this->result.getRow();
	}
	/////////////////////////////////////GET TOTAL NUMBER OF RECORDS////////////////////////////////////			
	function getTotalRecords()
	{
		return 	$this->noOfRecords;
	}
	/////////////////////////////////////IN CASE OF PAGING, GET STARTING RECORD NUMBER ////////////////////////////////////			
	function getStartingRecordsNo()
	{
		return 	$this->pointer;
	}
	/////////////////////////////////////IN CASE OF PAGING, GET ENDING RECORD NUMBER ////////////////////////////////////		
	function getEndingRecordsNo()
	{
		return 	$this->pointer + $this->setPageSize()-1 <= $this->noOfRecords ? $this->pointer + $this->setPageSize()-1 : $this->noOfRecords;
	}
	/////////////////////////////////////GET NEXT PAGING RECORD////////////////////////////////////		
	function getNextPagingRecord($conn)
	{
		$this->count++;
		return ($this->count <= $this->setPageSize($conn) &&  $this->row = mysqli_fetch_array($this->result) );
	}
	/////////////////////////////////////SET PAGING POSITION////////////////////////////////////	
	function resetRecords($conn)
	{
		$this->noOfRecords = mysqli_num_rows($this->result);
		$this->noOfPages=ceil((float)$this->noOfRecords/$this->setPageSize($conn));// For on of pages
		$this->noOfScrolls=ceil((float)$this->noOfPages/$this->scrollSize);// for no of scrolls
		$this->scroll=ceil((float)$this->currentPage/$this->scrollSize);// current scroll
		if ($this->currentPage < 1 || $this->currentPage > $this->noOfPages)
		{
			$this->currentPage=1;
			$this->scroll=1;
		}
		$this->pointer = ($this->currentPage*$this->setPageSize($conn))-($this->setPageSize($conn)-1);// move the pointer to current page
		if($this->pointer > 1)
			mysqli_data_seek($this->result,$this->pointer-1);
		else if($this->isRecordFound)
			mysqli_data_seek($this->result,0);
		$this->count = 0;
	}
	///////////////////////////////////// COMMIT FUNCTION////////////////////////////////////		
	function commit()
	{
		mysqli_query($database->connection,"commit");
	}
	///////////////////////////////////// ROLLBACK FUNCTION////////////////////////////////////		
	function rollBack()
	{
		mysqli_query($database->connection,"rollback");
	}
	/////////////////////////////////////CLOSE DATABASE CONNECTION////////////////////////////////////		
	function close()
	{
		if($this->result)
		{
			mysqli_free_result($this->result);
		}
		mysqli_close($this->connection);
	}
	///////////////////////////////////// REPLACE STRINGS ////////////////////////////////////		
	/*function replace($str,$findChar="",$repStr="")
	{
		if($findChar != "" && $repStr != "")
			return (string) str_replace($findChar,$repStr,$str);
		else
			return (string) str_replace($findChar,$repStr,$this->replaceDoubleQuote($this->replaceSingleQuote($str)));
	}
	function replaceSingleQuote($str,$findChar="'",$repStr="''")
	{
		return (string) str_replace($findChar,$repStr,$str); 
	}
	function replaceDoubleQuote($str,$findChar="\"",$repStr="&quot;")
	{
		return (string) str_replace($findChar,$repStr,$str); 
	}
	*/
	///////////////////////////////////// REPLACE STRINGS ////////////////////////////////////	
	
	
	
		
	function replace($str,$findChar="",$repStr="")
	{
		if ($findChar != "" && $repStr != "")
			return (string) str_replace($findChar,$repStr,$str);
		else
			return (string) str_replace($findChar,$repStr,$this->replaceDoubleQuote($this->replaceSingleQuote($str)));
	}
	function replaceSingleQuote($str,$findChar="'",$repStr="''")
	{
		return (string) str_replace($findChar,$repStr,$str); 
	}
	function replaceDoubleQuote($str,$findChar="\"",$repStr="&quot;")
	{
		return (string) str_replace($findChar,$repStr,$str); 
	}
	
	
	/*function rplacecopy($str,$findChar="©",$repStr="&copy;")
	{
		return (string) str_replace($findChar,$repStr,$str); 
	}
	*/
	
	///////////////////////////////////// Get Round Values ////////////////////////////////////		
	function getRoundValue($value, $precision=2)
	{
		return number_format($value, $precision,".",",");
	}
	
	function editor_special($content,$conn){
		
		$replace = utf8_decode("£");
		$content=str_replace("£",$replace,$content);
		$this->executeQuery($conn,"SELECT * FROM  special_char");
		 while ($this->getNextPagingRecord($conn))
     {
		
		 $symbol =$this->getColumn("symbol"); 
        $code = $this->getColumn('html_code');
		
		$content = str_replace($symbol,$code,$content);
		
		
	 }
		
		
	return $content;	
	}
	
	
	
}

?>