<?php
//============================================================+
// File name   : example_001.php
// Begin       : 2008-03-04
// Last Update : 2013-05-14
//
// Description : Example 001 for TCPDF class
//               Default Header and Footer
//
// Author: Nicola Asuni
//
// (c) Copyright:
//               Nicola Asuni
//               Tecnick.com LTD
//               www.tecnick.com
//               info@tecnick.com
//============================================================+

/**
 * Creates an example PDF TEST document using TCPDF
 * @package com.tecnick.tcpdf
 * @abstract TCPDF - Example: Default Header and Footer
 * @author Nicola Asuni
 * @since 2008-03-04
 */

// Include the main TCPDF library (search for installation path).
require_once('tcpdf_include.php');
$conn=mysql_connect("localhost","root","") or die("Connection Error");
mysql_select_db("mobitairportparking_db",$conn) or die("Database not Found");
$result = mysql_query("SELECT 
tbl_booking.id as booking_id,
tbl_booking.reference_no,
tblcustomer.title,
tblcustomer.first_name,
tblcustomer.last_name,
tbl_booking.dep_date,
tbl_booking.arr_date,
tbl_booking.no_of_days,
tbl_booking.status,
tbl_payment.booking_amount,
tblcompanies.company_name,
tblcompanies.commision
FROM tblcustomer
INNER JOIN tbl_booking ON tbl_booking.id = tblcustomer.customerid
INNER JOIN tbl_payment ON tbl_booking.id = tbl_payment.bookingid
INNER JOIN tbl_vehicle_detail ON tbl_vehicle_detail.id = tbl_booking.id
INNER JOIN tblcompanies ON tblcompanies.company_id = tbl_booking.companyid
where tbl_booking.companyid =61");



// create new PDF document
$pdf = new TCPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false); 

$pdf->SetPrintHeader(false); $pdf->SetPrintFooter(false);

// set default monospaced font
$pdf->SetDefaultMonospacedFont(PDF_FONT_MONOSPACED);

//set margins
$pdf->SetMargins(PDF_MARGIN_LEFT, PDF_MARGIN_TOP, PDF_MARGIN_RIGHT);

//set auto page breaks
$pdf->SetAutoPageBreak(TRUE, PDF_MARGIN_BOTTOM);

//set image scale factor
$pdf->setImagescale(PDF_IMAGE_SCALE_RATIO); 

//set some language-dependent strings
//$pdf->setLanguageArray($l); 

// ---------------------------------------------------------

// set font
$pdf->SetFont('dejavusans', '', 9);

// add a page
$pdf->AddPage();
$count=1;
$htmlcontent = "<html>
                  <body>
                    <table border='1'>
                      <tr>
                        <th>S.No</th>
                        <th>Reference #</th>
<th>Full Name</th>
<th>Departure Date</th>
<th>Arrival Date</th>
<th>Total Days</th>
<th>Status</th>
<th>Booking Amount</th>
<th>Commission</th></tr>";

while($row = mysql_fetch_array($result))
  {
    $ref_no = $row['reference_no'];
    $fullname = $row['title'].$row['first_name'].' '.$row['last_name'];
    $dep_date = date("d-m-Y H:i:s",strtotime($row['dep_date']));
    $arr_date = date("d-m-Y H:i:s",strtotime($row['arr_date']));
$totaldays = $row['no_of_days'];
if($row['status']=="1"){$status="Active";}else if($row['status']=="2"){$status="Canceled";}else {$status="Inactive";}
$booking_amount = $row['booking_amount'];
$commission=($row['booking_amount'] * $row['commision'])/100;
        
$htmlcontent .=  "<tr>
<td>" . $count . "</td>
                    <td>" . $ref_no . "</td>
<td>" . $fullname . "</td>
<td>" . $dep_date . "</td>
<td>" . $arr_date . "</td>
<td>" . $totaldays . "</td>
<td>" . $status . "</td>
<td>" . $booking_amount . "</td>
<td>" . $commission . "</td></tr>";
// output the HTML content
$count++;
}
$htmlcontent .= "</table></body></html>"; 
$pdf->writeHTML($htmlcontent, false, 0, true, 0);
// test some inline CSS

$pdf->writeHTML($inlinecss, true, 0, true, 0);

// reset pointer to the last page
$pdf->lastPage();

//Close and output PDF document
$pdf->Output('example_006.pdf', 'I');

//============================================================+
// END OF FILE                                                 
//============================================================+
?>